
_interrupt:

;GpsClock.mbas,128 :: 		sub procedure interrupt
;GpsClock.mbas,129 :: 		end sub
L_end_interrupt:
L__interrupt288:
	RETFIE      1
; end of _interrupt

_interrupt_low:
	MOVWF       ___Low_saveWREG+0 
	MOVF        STATUS+0, 0 
	MOVWF       ___Low_saveSTATUS+0 
	MOVF        BSR+0, 0 
	MOVWF       ___Low_saveBSR+0 

;GpsClock.mbas,135 :: 		dim recieve_data as byte
;GpsClock.mbas,138 :: 		if INT2_interrupt_occured then
	BTFSS       INT2IF_bit+0, BitPos(INT2IF_bit+0) 
	GOTO        L__interrupt_low3
;GpsClock.mbas,139 :: 		tick_flag = true
	MOVLW       255
	MOVWF       _tick_flag+0 
;GpsClock.mbas,140 :: 		INT2_interrupt_occured = false
	BCF         INT2IF_bit+0, BitPos(INT2IF_bit+0) 
L__interrupt_low3:
;GpsClock.mbas,144 :: 		if Eusart_recieve_interrupt_occured then
	BTFSS       RCIF_bit+0, BitPos(RCIF_bit+0) 
	GOTO        L__interrupt_low6
;GpsClock.mbas,145 :: 		recieve_data = RCREG
	MOVF        RCREG+0, 0 
	MOVWF       R2 
;GpsClock.mbas,146 :: 		if recieve_data = "$" then
	MOVF        R2, 0 
	XORLW       36
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt_low9
;GpsClock.mbas,147 :: 		gps_buffer_index = 0
	CLRF        _gps_buffer_index+0 
L__interrupt_low9:
;GpsClock.mbas,149 :: 		gps_buffer[gps_buffer_index] = recieve_data
	MOVLW       _gps_buffer+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_gps_buffer+0)
	MOVWF       FSR1H 
	MOVF        _gps_buffer_index+0, 0 
	ADDWF       FSR1, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1H, 1 
	MOVF        R2, 0 
	MOVWF       POSTINC1+0 
;GpsClock.mbas,150 :: 		if (gps_buffer_index = 64) or
	MOVF        _gps_buffer_index+0, 0 
	XORLW       64
	MOVLW       255
	BTFSS       STATUS+0, 2 
	MOVLW       0
	MOVWF       R1 
;GpsClock.mbas,151 :: 		( recieve_data = 0x0D ) or
	MOVF        R2, 0 
	XORLW       13
	MOVLW       255
	BTFSS       STATUS+0, 2 
	MOVLW       0
	MOVWF       R0 
	MOVF        R0, 0 
	IORWF       R1, 1 
;GpsClock.mbas,152 :: 		( recieve_data = 0x0A ) then
	MOVF        R2, 0 
	XORLW       10
	MOVLW       255
	BTFSS       STATUS+0, 2 
	MOVLW       0
	MOVWF       R0 
	MOVF        R1, 0 
	IORWF       R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__interrupt_low12
;GpsClock.mbas,153 :: 		gps_buffer_full = true
	MOVLW       255
	MOVWF       _gps_buffer_full+0 
	GOTO        L__interrupt_low13
;GpsClock.mbas,154 :: 		else
L__interrupt_low12:
;GpsClock.mbas,155 :: 		gps_buffer_index = gps_buffer_index + 1
	INCF        _gps_buffer_index+0, 1 
;GpsClock.mbas,156 :: 		end if
L__interrupt_low13:
;GpsClock.mbas,157 :: 		Eusart_recieve_interrupt_occured = false
	BCF         RCIF_bit+0, BitPos(RCIF_bit+0) 
L__interrupt_low6:
;GpsClock.mbas,159 :: 		end sub
L_end_interrupt_low:
L__interrupt_low290:
	MOVF        ___Low_saveBSR+0, 0 
	MOVWF       BSR+0 
	MOVF        ___Low_saveSTATUS+0, 0 
	MOVWF       STATUS+0 
	SWAPF       ___Low_saveWREG+0, 1 
	SWAPF       ___Low_saveWREG+0, 0 
	RETFIE      0
; end of _interrupt_low

_read_ds1307:

;GpsClock.mbas,165 :: 		dim dataa as byte
;GpsClock.mbas,166 :: 		I2C1_Start()
	CALL        _I2C1_Start+0, 0
;GpsClock.mbas,167 :: 		I2C1_Wr(DS1307_DEVICE_ADDRESS or DS1307_WRITE)
	MOVLW       208
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;GpsClock.mbas,168 :: 		I2C1_Wr(address)
	MOVF        FARG_read_ds1307_address+0, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;GpsClock.mbas,169 :: 		I2C1_Repeated_Start()
	CALL        _I2C1_Repeated_Start+0, 0
;GpsClock.mbas,170 :: 		I2C1_Wr(DS1307_DEVICE_ADDRESS or DS1307_READ)
	MOVLW       209
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;GpsClock.mbas,171 :: 		dataa=I2C1_Rd(0)
	CLRF        FARG_I2C1_Rd_ack+0 
	CALL        _I2C1_Rd+0, 0
	MOVF        R0, 0 
	MOVWF       read_ds1307_dataa+0 
;GpsClock.mbas,172 :: 		I2C1_Stop()
	CALL        _I2C1_Stop+0, 0
;GpsClock.mbas,174 :: 		result = dataa
	MOVF        read_ds1307_dataa+0, 0 
	MOVWF       read_ds1307_local_result+0 
;GpsClock.mbas,175 :: 		end sub
	MOVF        read_ds1307_local_result+0, 0 
	MOVWF       R0 
L_end_read_ds1307:
	RETURN      0
; end of _read_ds1307

_write_ds1307:

;GpsClock.mbas,180 :: 		sub procedure write_ds1307(dim address as byte, dim w_data as byte )
;GpsClock.mbas,181 :: 		I2C1_Start()
	CALL        _I2C1_Start+0, 0
;GpsClock.mbas,182 :: 		I2C1_Wr(DS1307_DEVICE_ADDRESS or DS1307_WRITE)
	MOVLW       208
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;GpsClock.mbas,183 :: 		I2C1_Wr(address)
	MOVF        FARG_write_ds1307_address+0, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;GpsClock.mbas,184 :: 		I2C1_Wr(w_data)
	MOVF        FARG_write_ds1307_w_data+0, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;GpsClock.mbas,185 :: 		I2C1_Stop()
	CALL        _I2C1_Stop+0, 0
;GpsClock.mbas,186 :: 		end sub
L_end_write_ds1307:
	RETURN      0
; end of _write_ds1307

_ds1307_get_year:

;GpsClock.mbas,191 :: 		sub function ds1307_get_year() as byte
;GpsClock.mbas,192 :: 		result = BCD2DEC(read_ds1307( ADDRESS_YEAR ))
	MOVLW       6
	MOVWF       FARG_read_ds1307_address+0 
	CALL        _read_ds1307+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_Bcd2Dec_bcd_num+0 
	CALL        _Bcd2Dec+0, 0
	MOVF        R0, 0 
	MOVWF       ds1307_get_year_local_result+0 
;GpsClock.mbas,193 :: 		end sub
	MOVF        ds1307_get_year_local_result+0, 0 
	MOVWF       R0 
L_end_ds1307_get_year:
	RETURN      0
; end of _ds1307_get_year

_ds1307_get_month:

;GpsClock.mbas,198 :: 		sub function ds1307_get_month() as byte
;GpsClock.mbas,199 :: 		result = BCD2DEC(read_ds1307( ADDRESS_MONTH ))
	MOVLW       5
	MOVWF       FARG_read_ds1307_address+0 
	CALL        _read_ds1307+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_Bcd2Dec_bcd_num+0 
	CALL        _Bcd2Dec+0, 0
	MOVF        R0, 0 
	MOVWF       ds1307_get_month_local_result+0 
;GpsClock.mbas,200 :: 		end sub
	MOVF        ds1307_get_month_local_result+0, 0 
	MOVWF       R0 
L_end_ds1307_get_month:
	RETURN      0
; end of _ds1307_get_month

_ds1307_get_date:

;GpsClock.mbas,205 :: 		sub function ds1307_get_date() as byte
;GpsClock.mbas,206 :: 		result = BCD2DEC(read_ds1307( ADDRESS_DATE ))
	MOVLW       4
	MOVWF       FARG_read_ds1307_address+0 
	CALL        _read_ds1307+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_Bcd2Dec_bcd_num+0 
	CALL        _Bcd2Dec+0, 0
	MOVF        R0, 0 
	MOVWF       ds1307_get_date_local_result+0 
;GpsClock.mbas,207 :: 		end sub
	MOVF        ds1307_get_date_local_result+0, 0 
	MOVWF       R0 
L_end_ds1307_get_date:
	RETURN      0
; end of _ds1307_get_date

_ds1307_get_hour:

;GpsClock.mbas,215 :: 		dim tmp as byte
;GpsClock.mbas,217 :: 		tmp = read_ds1307( ADDRESS_HOURS )
	MOVLW       2
	MOVWF       FARG_read_ds1307_address+0 
	CALL        _read_ds1307+0, 0
	MOVF        R0, 0 
	MOVWF       ds1307_get_hour_tmp+0 
;GpsClock.mbas,218 :: 		if tmp and %01000000 = %01000000 then  ' 12h-format
	MOVLW       64
	ANDWF       R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       64
	BTFSS       STATUS+0, 2 
	GOTO        L__ds1307_get_hour21
;GpsClock.mbas,219 :: 		if tmp and %00100000 = %00100000 then
	MOVLW       32
	ANDWF       ds1307_get_hour_tmp+0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       32
	BTFSS       STATUS+0, 2 
	GOTO        L__ds1307_get_hour24
;GpsClock.mbas,220 :: 		tmp = tmp and %00011111
	MOVLW       31
	ANDWF       ds1307_get_hour_tmp+0, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	MOVWF       ds1307_get_hour_tmp+0 
;GpsClock.mbas,221 :: 		tmp = BCD2DEC(tmp)
	MOVF        R0, 0 
	MOVWF       FARG_Bcd2Dec_bcd_num+0 
	CALL        _Bcd2Dec+0, 0
	MOVF        R0, 0 
	MOVWF       ds1307_get_hour_tmp+0 
;GpsClock.mbas,222 :: 		tmp = tmp + 12
	MOVLW       12
	ADDWF       R0, 0 
	MOVWF       ds1307_get_hour_tmp+0 
	GOTO        L__ds1307_get_hour25
;GpsClock.mbas,223 :: 		else
L__ds1307_get_hour24:
;GpsClock.mbas,224 :: 		tmp = tmp and %00011111
	MOVLW       31
	ANDWF       ds1307_get_hour_tmp+0, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	MOVWF       ds1307_get_hour_tmp+0 
;GpsClock.mbas,225 :: 		tmp = BCD2DEC(tmp)
	MOVF        R0, 0 
	MOVWF       FARG_Bcd2Dec_bcd_num+0 
	CALL        _Bcd2Dec+0, 0
	MOVF        R0, 0 
	MOVWF       ds1307_get_hour_tmp+0 
;GpsClock.mbas,226 :: 		end if
L__ds1307_get_hour25:
	GOTO        L__ds1307_get_hour22
;GpsClock.mbas,227 :: 		else
L__ds1307_get_hour21:
;GpsClock.mbas,228 :: 		tmp = BCD2DEC(tmp)
	MOVF        ds1307_get_hour_tmp+0, 0 
	MOVWF       FARG_Bcd2Dec_bcd_num+0 
	CALL        _Bcd2Dec+0, 0
	MOVF        R0, 0 
	MOVWF       ds1307_get_hour_tmp+0 
;GpsClock.mbas,229 :: 		end if
L__ds1307_get_hour22:
;GpsClock.mbas,231 :: 		result = tmp
	MOVF        ds1307_get_hour_tmp+0, 0 
	MOVWF       ds1307_get_hour_local_result+0 
;GpsClock.mbas,232 :: 		end sub
	MOVF        ds1307_get_hour_local_result+0, 0 
	MOVWF       R0 
L_end_ds1307_get_hour:
	RETURN      0
; end of _ds1307_get_hour

_ds1307_get_minutes:

;GpsClock.mbas,237 :: 		sub function ds1307_get_minutes() as byte
;GpsClock.mbas,238 :: 		result = BCD2DEC(read_ds1307( ADDRESS_MINUTES ))
	MOVLW       1
	MOVWF       FARG_read_ds1307_address+0 
	CALL        _read_ds1307+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_Bcd2Dec_bcd_num+0 
	CALL        _Bcd2Dec+0, 0
	MOVF        R0, 0 
	MOVWF       ds1307_get_minutes_local_result+0 
;GpsClock.mbas,239 :: 		end sub
	MOVF        ds1307_get_minutes_local_result+0, 0 
	MOVWF       R0 
L_end_ds1307_get_minutes:
	RETURN      0
; end of _ds1307_get_minutes

_ds1307_get_seconds:

;GpsClock.mbas,245 :: 		dim sec as byte
;GpsClock.mbas,246 :: 		sec = read_ds1307( ADDRESS_SECONDS )
	CLRF        FARG_read_ds1307_address+0 
	CALL        _read_ds1307+0, 0
;GpsClock.mbas,247 :: 		sec = sec and %01111111
	MOVLW       127
	ANDWF       R0, 0 
	MOVWF       FARG_Bcd2Dec_bcd_num+0 
;GpsClock.mbas,248 :: 		result = BCD2DEC(sec)
	CALL        _Bcd2Dec+0, 0
	MOVF        R0, 0 
	MOVWF       ds1307_get_seconds_local_result+0 
;GpsClock.mbas,249 :: 		end sub
	MOVF        ds1307_get_seconds_local_result+0, 0 
	MOVWF       R0 
L_end_ds1307_get_seconds:
	RETURN      0
; end of _ds1307_get_seconds

_ds1307_get_halt:

;GpsClock.mbas,255 :: 		dim sec as byte
;GpsClock.mbas,256 :: 		sec = read_ds1307( ADDRESS_SECONDS )
	CLRF        FARG_read_ds1307_address+0 
	CALL        _read_ds1307+0, 0
;GpsClock.mbas,257 :: 		if (sec and CLOCK_HALT) = CLOCK_HALT then
	MOVLW       128
	ANDWF       R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       128
	BTFSS       STATUS+0, 2 
	GOTO        L__ds1307_get_halt30
;GpsClock.mbas,258 :: 		result = true
	MOVLW       255
	MOVWF       ds1307_get_halt_local_result+0 
	GOTO        L__ds1307_get_halt31
;GpsClock.mbas,259 :: 		else
L__ds1307_get_halt30:
;GpsClock.mbas,260 :: 		result = false
	CLRF        ds1307_get_halt_local_result+0 
;GpsClock.mbas,261 :: 		end if
L__ds1307_get_halt31:
;GpsClock.mbas,262 :: 		end sub
	MOVF        ds1307_get_halt_local_result+0, 0 
	MOVWF       R0 
L_end_ds1307_get_halt:
	RETURN      0
; end of _ds1307_get_halt

_ds1307_settime:

;GpsClock.mbas,273 :: 		dim seconds as byte )
;GpsClock.mbas,275 :: 		write_ds1307(ADDRESS_SECONDS, CLOCK_HALT       )
	CLRF        FARG_write_ds1307_address+0 
	MOVLW       128
	MOVWF       FARG_write_ds1307_w_data+0 
	CALL        _write_ds1307+0, 0
;GpsClock.mbas,276 :: 		write_ds1307(ADDRESS_YEAR,    DEC2BCD(year)    )
	MOVF        FARG_ds1307_settime_year+0, 0 
	MOVWF       FARG_Dec2Bcd_decnum+0 
	CALL        _Dec2Bcd+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_write_ds1307_w_data+0 
	MOVLW       6
	MOVWF       FARG_write_ds1307_address+0 
	CALL        _write_ds1307+0, 0
;GpsClock.mbas,277 :: 		write_ds1307(ADDRESS_MONTH,   DEC2BCD(month)   )
	MOVF        FARG_ds1307_settime_month+0, 0 
	MOVWF       FARG_Dec2Bcd_decnum+0 
	CALL        _Dec2Bcd+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_write_ds1307_w_data+0 
	MOVLW       5
	MOVWF       FARG_write_ds1307_address+0 
	CALL        _write_ds1307+0, 0
;GpsClock.mbas,278 :: 		write_ds1307(ADDRESS_date,    DEC2BCD(date)    )
	MOVF        FARG_ds1307_settime_date+0, 0 
	MOVWF       FARG_Dec2Bcd_decnum+0 
	CALL        _Dec2Bcd+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_write_ds1307_w_data+0 
	MOVLW       4
	MOVWF       FARG_write_ds1307_address+0 
	CALL        _write_ds1307+0, 0
;GpsClock.mbas,279 :: 		write_ds1307(ADDRESS_HOURS,   DEC2BCD(hour)    )
	MOVF        FARG_ds1307_settime_hour+0, 0 
	MOVWF       FARG_Dec2Bcd_decnum+0 
	CALL        _Dec2Bcd+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_write_ds1307_w_data+0 
	MOVLW       2
	MOVWF       FARG_write_ds1307_address+0 
	CALL        _write_ds1307+0, 0
;GpsClock.mbas,280 :: 		write_ds1307(ADDRESS_MINUTES, DEC2BCD(minutes) )
	MOVF        FARG_ds1307_settime_minutes+0, 0 
	MOVWF       FARG_Dec2Bcd_decnum+0 
	CALL        _Dec2Bcd+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_write_ds1307_w_data+0 
	MOVLW       1
	MOVWF       FARG_write_ds1307_address+0 
	CALL        _write_ds1307+0, 0
;GpsClock.mbas,281 :: 		write_ds1307(ADDRESS_SECONDS, DEC2BCD(seconds) )
	MOVF        FARG_ds1307_settime_seconds+0, 0 
	MOVWF       FARG_Dec2Bcd_decnum+0 
	CALL        _Dec2Bcd+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_write_ds1307_w_data+0 
	CLRF        FARG_write_ds1307_address+0 
	CALL        _write_ds1307+0, 0
;GpsClock.mbas,282 :: 		end sub
L_end_ds1307_settime:
	RETURN      0
; end of _ds1307_settime

_is_leapyear:

;GpsClock.mbas,284 :: 		sub function is_leapyear( dim year as byte ) as boolean
;GpsClock.mbas,285 :: 		if year mod 4 = 0 then
	MOVLW       3
	ANDWF       FARG_is_leapyear_year+0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__is_leapyear35
;GpsClock.mbas,286 :: 		if year mod 100 = 0 then
	MOVLW       100
	MOVWF       R4 
	MOVF        FARG_is_leapyear_year+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__is_leapyear38
;GpsClock.mbas,287 :: 		if year mod 400 = 0 then
	MOVLW       144
	MOVWF       R4 
	MOVLW       1
	MOVWF       R5 
	MOVF        FARG_is_leapyear_year+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	CALL        _Div_16x16_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVLW       0
	XORWF       R1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__is_leapyear302
	MOVLW       0
	XORWF       R0, 0 
L__is_leapyear302:
	BTFSS       STATUS+0, 2 
	GOTO        L__is_leapyear41
;GpsClock.mbas,288 :: 		result = true
	MOVLW       255
	MOVWF       is_leapyear_local_result+0 
	GOTO        L__is_leapyear42
;GpsClock.mbas,289 :: 		else
L__is_leapyear41:
;GpsClock.mbas,290 :: 		result = false
	CLRF        is_leapyear_local_result+0 
;GpsClock.mbas,291 :: 		end if
L__is_leapyear42:
	GOTO        L__is_leapyear39
;GpsClock.mbas,292 :: 		else
L__is_leapyear38:
;GpsClock.mbas,293 :: 		result = true
	MOVLW       255
	MOVWF       is_leapyear_local_result+0 
;GpsClock.mbas,294 :: 		end if
L__is_leapyear39:
	GOTO        L__is_leapyear36
;GpsClock.mbas,295 :: 		else
L__is_leapyear35:
;GpsClock.mbas,296 :: 		result = false
	CLRF        is_leapyear_local_result+0 
;GpsClock.mbas,297 :: 		end if
L__is_leapyear36:
;GpsClock.mbas,298 :: 		end sub
	MOVF        is_leapyear_local_result+0, 0 
	MOVWF       R0 
L_end_is_leapyear:
	RETURN      0
; end of _is_leapyear

_led7seg_write:

;GpsClock.mbas,304 :: 		dim i as byte
;GpsClock.mbas,306 :: 		LED7SEG_CLK_PORT = 1
	BSF         LATC2_bit+0, BitPos(LATC2_bit+0) 
;GpsClock.mbas,307 :: 		delay_us(5)
	MOVLW       6
	MOVWF       R13, 0
L__led7seg_write44:
	DECFSZ      R13, 1, 1
	BRA         L__led7seg_write44
	NOP
;GpsClock.mbas,308 :: 		LED7SEG_ENABLE_PORT = 0
	BCF         LATC6_bit+0, BitPos(LATC6_bit+0) 
;GpsClock.mbas,309 :: 		for i = 0 to 7
	CLRF        R2 
L__led7seg_write46:
;GpsClock.mbas,310 :: 		LED7SEG_CLK_PORT = 0
	BCF         LATC2_bit+0, BitPos(LATC2_bit+0) 
;GpsClock.mbas,311 :: 		if (dat and 0x80) = 0x80  then
	MOVLW       128
	ANDWF       FARG_led7seg_write_dat+0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       128
	BTFSS       STATUS+0, 2 
	GOTO        L__led7seg_write51
;GpsClock.mbas,312 :: 		LED7SEG_DATA_PORT = 1
	BSF         LATC7_bit+0, BitPos(LATC7_bit+0) 
	GOTO        L__led7seg_write52
;GpsClock.mbas,313 :: 		else
L__led7seg_write51:
;GpsClock.mbas,314 :: 		LED7SEG_DATA_PORT = 0
	BCF         LATC7_bit+0, BitPos(LATC7_bit+0) 
;GpsClock.mbas,315 :: 		end if
L__led7seg_write52:
;GpsClock.mbas,316 :: 		dat = dat << 1
	RLCF        FARG_led7seg_write_dat+0, 1 
	BCF         FARG_led7seg_write_dat+0, 0 
;GpsClock.mbas,317 :: 		delay_us(25)  ' 25
	MOVLW       33
	MOVWF       R13, 0
L__led7seg_write53:
	DECFSZ      R13, 1, 1
	BRA         L__led7seg_write53
;GpsClock.mbas,318 :: 		LED7SEG_CLK_PORT = 1
	BSF         LATC2_bit+0, BitPos(LATC2_bit+0) 
;GpsClock.mbas,319 :: 		delay_us(25)
	MOVLW       33
	MOVWF       R13, 0
L__led7seg_write54:
	DECFSZ      R13, 1, 1
	BRA         L__led7seg_write54
;GpsClock.mbas,320 :: 		next i
	MOVF        R2, 0 
	XORLW       7
	BTFSC       STATUS+0, 2 
	GOTO        L__led7seg_write49
	INCF        R2, 1 
	GOTO        L__led7seg_write46
L__led7seg_write49:
;GpsClock.mbas,321 :: 		LED7SEG_ENABLE_PORT = 1
	BSF         LATC6_bit+0, BitPos(LATC6_bit+0) 
;GpsClock.mbas,322 :: 		delay_us(15)
	MOVLW       19
	MOVWF       R13, 0
L__led7seg_write55:
	DECFSZ      R13, 1, 1
	BRA         L__led7seg_write55
	NOP
	NOP
;GpsClock.mbas,323 :: 		end sub
L_end_led7seg_write:
	RETURN      0
; end of _led7seg_write

_initialize_large_display:

;GpsClock.mbas,329 :: 		dim  display_id as byte
;GpsClock.mbas,331 :: 		for display_id = 0 to 15
	CLRF        initialize_large_display_display_id+0 
L__initialize_large_display58:
;GpsClock.mbas,332 :: 		led7seg_write( CMD_ID or CMD_CODE or display_id )
	MOVLW       240
	IORWF       initialize_large_display_display_id+0, 0 
	MOVWF       FARG_led7seg_write_dat+0 
	CALL        _led7seg_write+0, 0
;GpsClock.mbas,333 :: 		led7seg_write( CMD_ASCII )
	CLRF        FARG_led7seg_write_dat+0 
	CALL        _led7seg_write+0, 0
;GpsClock.mbas,334 :: 		delay_ms(10)
	MOVLW       52
	MOVWF       R12, 0
	MOVLW       241
	MOVWF       R13, 0
L__initialize_large_display62:
	DECFSZ      R13, 1, 1
	BRA         L__initialize_large_display62
	DECFSZ      R12, 1, 1
	BRA         L__initialize_large_display62
	NOP
	NOP
;GpsClock.mbas,335 :: 		next display_id
	MOVF        initialize_large_display_display_id+0, 0 
	XORLW       15
	BTFSC       STATUS+0, 2 
	GOTO        L__initialize_large_display61
	INCF        initialize_large_display_display_id+0, 1 
	GOTO        L__initialize_large_display58
L__initialize_large_display61:
;GpsClock.mbas,336 :: 		end sub
L_end_initialize_large_display:
	RETURN      0
; end of _initialize_large_display

_display_time:

;GpsClock.mbas,345 :: 		dim hour10    as byte
;GpsClock.mbas,347 :: 		minutes01 = (minutes mod 10) + "0"
	MOVLW       10
	MOVWF       R4 
	MOVF        FARG_display_time_minutes+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       display_time_minutes01+0 
;GpsClock.mbas,348 :: 		minutes10 = (minutes  /  10) + "0"
	MOVLW       10
	MOVWF       R4 
	MOVF        FARG_display_time_minutes+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       display_time_minutes10+0 
;GpsClock.mbas,349 :: 		hour01    = (hour mod 10) + "0"
	MOVLW       10
	MOVWF       R4 
	MOVF        FARG_display_time_hour+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       display_time_hour01+0 
;GpsClock.mbas,350 :: 		hour10    = (hour  /  10) + "0"
	MOVLW       10
	MOVWF       R4 
	MOVF        FARG_display_time_hour+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       display_time_hour10+0 
;GpsClock.mbas,351 :: 		led7seg_write( CMD_ID or CMD_NORMAL or 0 )
	MOVLW       144
	MOVWF       FARG_led7seg_write_dat+0 
	CALL        _led7seg_write+0, 0
;GpsClock.mbas,352 :: 		led7seg_write( minutes01 )
	MOVF        display_time_minutes01+0, 0 
	MOVWF       FARG_led7seg_write_dat+0 
	CALL        _led7seg_write+0, 0
;GpsClock.mbas,353 :: 		if time_colon then
	MOVF        FARG_display_time_time_colon+0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__display_time65
;GpsClock.mbas,354 :: 		led7seg_write( CMD_ID or CMD_NORMAL_DP or 1 )
	MOVLW       161
	MOVWF       FARG_led7seg_write_dat+0 
	CALL        _led7seg_write+0, 0
	GOTO        L__display_time66
;GpsClock.mbas,355 :: 		else
L__display_time65:
;GpsClock.mbas,356 :: 		led7seg_write( CMD_ID or CMD_NORMAL    or 1 )
	MOVLW       145
	MOVWF       FARG_led7seg_write_dat+0 
	CALL        _led7seg_write+0, 0
;GpsClock.mbas,357 :: 		end if
L__display_time66:
;GpsClock.mbas,358 :: 		if minutes10 = "0" then
	MOVF        display_time_minutes10+0, 0 
	XORLW       48
	BTFSS       STATUS+0, 2 
	GOTO        L__display_time68
;GpsClock.mbas,359 :: 		led7seg_write( " " )
	MOVLW       32
	MOVWF       FARG_led7seg_write_dat+0 
	CALL        _led7seg_write+0, 0
	GOTO        L__display_time69
;GpsClock.mbas,360 :: 		else
L__display_time68:
;GpsClock.mbas,361 :: 		led7seg_write( minutes10 )
	MOVF        display_time_minutes10+0, 0 
	MOVWF       FARG_led7seg_write_dat+0 
	CALL        _led7seg_write+0, 0
;GpsClock.mbas,362 :: 		end if
L__display_time69:
;GpsClock.mbas,363 :: 		if time_colon then
	MOVF        FARG_display_time_time_colon+0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__display_time71
;GpsClock.mbas,364 :: 		led7seg_write( CMD_ID or CMD_NORMAL_DP or 2 )
	MOVLW       162
	MOVWF       FARG_led7seg_write_dat+0 
	CALL        _led7seg_write+0, 0
	GOTO        L__display_time72
;GpsClock.mbas,365 :: 		else
L__display_time71:
;GpsClock.mbas,366 :: 		led7seg_write( CMD_ID or CMD_NORMAL    or 2 )
	MOVLW       146
	MOVWF       FARG_led7seg_write_dat+0 
	CALL        _led7seg_write+0, 0
;GpsClock.mbas,367 :: 		end if
L__display_time72:
;GpsClock.mbas,368 :: 		if remain and hour01 = "0" then
	MOVF        display_time_hour01+0, 0 
	ANDWF       FARG_display_time_remain+0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       48
	BTFSS       STATUS+0, 2 
	GOTO        L__display_time74
;GpsClock.mbas,369 :: 		led7seg_write( " " )
	MOVLW       32
	MOVWF       FARG_led7seg_write_dat+0 
	CALL        _led7seg_write+0, 0
	GOTO        L__display_time75
;GpsClock.mbas,370 :: 		else
L__display_time74:
;GpsClock.mbas,371 :: 		led7seg_write( hour01 )
	MOVF        display_time_hour01+0, 0 
	MOVWF       FARG_led7seg_write_dat+0 
	CALL        _led7seg_write+0, 0
;GpsClock.mbas,372 :: 		end if
L__display_time75:
;GpsClock.mbas,373 :: 		led7seg_write( CMD_ID or CMD_NORMAL or 3 )
	MOVLW       147
	MOVWF       FARG_led7seg_write_dat+0 
	CALL        _led7seg_write+0, 0
;GpsClock.mbas,374 :: 		if remain then
	MOVF        FARG_display_time_remain+0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__display_time77
;GpsClock.mbas,375 :: 		led7seg_write( "-" )
	MOVLW       45
	MOVWF       FARG_led7seg_write_dat+0 
	CALL        _led7seg_write+0, 0
	GOTO        L__display_time78
;GpsClock.mbas,376 :: 		else
L__display_time77:
;GpsClock.mbas,377 :: 		if hour10 = "0" then
	MOVF        display_time_hour10+0, 0 
	XORLW       48
	BTFSS       STATUS+0, 2 
	GOTO        L__display_time80
;GpsClock.mbas,378 :: 		led7seg_write( " " )
	MOVLW       32
	MOVWF       FARG_led7seg_write_dat+0 
	CALL        _led7seg_write+0, 0
	GOTO        L__display_time81
;GpsClock.mbas,379 :: 		else
L__display_time80:
;GpsClock.mbas,380 :: 		led7seg_write( hour10 )
	MOVF        display_time_hour10+0, 0 
	MOVWF       FARG_led7seg_write_dat+0 
	CALL        _led7seg_write+0, 0
;GpsClock.mbas,381 :: 		end if
L__display_time81:
;GpsClock.mbas,382 :: 		end if
L__display_time78:
;GpsClock.mbas,383 :: 		end sub
L_end_display_time:
	RETURN      0
; end of _display_time

_display_init:

;GpsClock.mbas,389 :: 		dim disp_id as byte
;GpsClock.mbas,391 :: 		for disp_id = 0 to 3
	CLRF        display_init_disp_id+0 
L__display_init84:
;GpsClock.mbas,392 :: 		led7seg_write( CMD_ID or CMD_NORMAL_DP or disp_id )
	MOVLW       160
	IORWF       display_init_disp_id+0, 0 
	MOVWF       FARG_led7seg_write_dat+0 
	CALL        _led7seg_write+0, 0
;GpsClock.mbas,393 :: 		led7seg_write( "-" )
	MOVLW       45
	MOVWF       FARG_led7seg_write_dat+0 
	CALL        _led7seg_write+0, 0
;GpsClock.mbas,394 :: 		next disp_id
	MOVF        display_init_disp_id+0, 0 
	XORLW       3
	BTFSC       STATUS+0, 2 
	GOTO        L__display_init87
	INCF        display_init_disp_id+0, 1 
	GOTO        L__display_init84
L__display_init87:
;GpsClock.mbas,395 :: 		end sub
L_end_display_init:
	RETURN      0
; end of _display_init

_eep_dbl_write:

;GpsClock.mbas,400 :: 		sub procedure eep_dbl_write(dim address as word, dim value as double )
;GpsClock.mbas,401 :: 		dbl = value
	MOVF        FARG_eep_dbl_write_value+0, 0 
	MOVWF       32 
	MOVF        FARG_eep_dbl_write_value+1, 0 
	MOVWF       33 
	MOVF        FARG_eep_dbl_write_value+2, 0 
	MOVWF       34 
	MOVF        FARG_eep_dbl_write_value+3, 0 
	MOVWF       35 
;GpsClock.mbas,402 :: 		EEPROM_write( address + 0, byte1 )
	MOVF        FARG_eep_dbl_write_address+0, 0 
	MOVWF       FARG_EEPROM_Write_address+0 
	MOVF        32, 0 
	MOVWF       FARG_EEPROM_Write_data_+0 
	CALL        _EEPROM_Write+0, 0
;GpsClock.mbas,403 :: 		EEPROM_write( address + 1, byte2 )
	MOVF        FARG_eep_dbl_write_address+0, 0 
	ADDLW       1
	MOVWF       FARG_EEPROM_Write_address+0 
	MOVF        33, 0 
	MOVWF       FARG_EEPROM_Write_data_+0 
	CALL        _EEPROM_Write+0, 0
;GpsClock.mbas,404 :: 		EEPROM_write( address + 2, byte3 )
	MOVLW       2
	ADDWF       FARG_eep_dbl_write_address+0, 0 
	MOVWF       FARG_EEPROM_Write_address+0 
	MOVF        34, 0 
	MOVWF       FARG_EEPROM_Write_data_+0 
	CALL        _EEPROM_Write+0, 0
;GpsClock.mbas,405 :: 		EEPROM_write( address + 3, byte4 )
	MOVLW       3
	ADDWF       FARG_eep_dbl_write_address+0, 0 
	MOVWF       FARG_EEPROM_Write_address+0 
	MOVF        35, 0 
	MOVWF       FARG_EEPROM_Write_data_+0 
	CALL        _EEPROM_Write+0, 0
;GpsClock.mbas,406 :: 		end sub
L_end_eep_dbl_write:
	RETURN      0
; end of _eep_dbl_write

_eep_dbl_read:

;GpsClock.mbas,411 :: 		sub function eep_dbl_read(dim address as word ) as double
;GpsClock.mbas,412 :: 		byte1 = EEPROM_read( address + 0 )
	MOVF        FARG_eep_dbl_read_address+0, 0 
	MOVWF       FARG_EEPROM_Read_address+0 
	MOVF        FARG_eep_dbl_read_address+1, 0 
	MOVWF       FARG_EEPROM_Read_address+1 
	CALL        _EEPROM_Read+0, 0
	MOVF        R0, 0 
	MOVWF       32 
;GpsClock.mbas,413 :: 		byte2 = EEPROM_read( address + 1 )
	MOVLW       1
	ADDWF       FARG_eep_dbl_read_address+0, 0 
	MOVWF       FARG_EEPROM_Read_address+0 
	MOVLW       0
	ADDWFC      FARG_eep_dbl_read_address+1, 0 
	MOVWF       FARG_EEPROM_Read_address+1 
	CALL        _EEPROM_Read+0, 0
	MOVF        R0, 0 
	MOVWF       33 
;GpsClock.mbas,414 :: 		byte3 = EEPROM_read( address + 2 )
	MOVLW       2
	ADDWF       FARG_eep_dbl_read_address+0, 0 
	MOVWF       FARG_EEPROM_Read_address+0 
	MOVLW       0
	ADDWFC      FARG_eep_dbl_read_address+1, 0 
	MOVWF       FARG_EEPROM_Read_address+1 
	CALL        _EEPROM_Read+0, 0
	MOVF        R0, 0 
	MOVWF       34 
;GpsClock.mbas,415 :: 		byte4 = EEPROM_read( address + 3 )
	MOVLW       3
	ADDWF       FARG_eep_dbl_read_address+0, 0 
	MOVWF       FARG_EEPROM_Read_address+0 
	MOVLW       0
	ADDWFC      FARG_eep_dbl_read_address+1, 0 
	MOVWF       FARG_EEPROM_Read_address+1 
	CALL        _EEPROM_Read+0, 0
	MOVF        R0, 0 
	MOVWF       35 
;GpsClock.mbas,417 :: 		result = dbl
	MOVF        32, 0 
	MOVWF       eep_dbl_read_local_result+0 
	MOVF        33, 0 
	MOVWF       eep_dbl_read_local_result+1 
	MOVF        34, 0 
	MOVWF       eep_dbl_read_local_result+2 
	MOVF        35, 0 
	MOVWF       eep_dbl_read_local_result+3 
;GpsClock.mbas,418 :: 		end sub
	MOVF        eep_dbl_read_local_result+0, 0 
	MOVWF       R0 
	MOVF        eep_dbl_read_local_result+1, 0 
	MOVWF       R1 
	MOVF        eep_dbl_read_local_result+2, 0 
	MOVWF       R2 
	MOVF        eep_dbl_read_local_result+3, 0 
	MOVWF       R3 
L_end_eep_dbl_read:
	RETURN      0
; end of _eep_dbl_read

_calc_sunset:

;GpsClock.mbas,445 :: 		dim sunrise_min as double
;GpsClock.mbas,448 :: 		idor = latitude * PI / 180
	MOVF        FARG_calc_sunset_latitude+0, 0 
	MOVWF       R0 
	MOVF        FARG_calc_sunset_latitude+1, 0 
	MOVWF       R1 
	MOVF        FARG_calc_sunset_latitude+2, 0 
	MOVWF       R2 
	MOVF        FARG_calc_sunset_latitude+3, 0 
	MOVWF       R3 
	MOVLW       216
	MOVWF       R4 
	MOVLW       15
	MOVWF       R5 
	MOVLW       73
	MOVWF       R6 
	MOVLW       128
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       52
	MOVWF       R6 
	MOVLW       134
	MOVWF       R7 
	CALL        _Div_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       calc_sunset_idor+0 
	MOVF        R1, 0 
	MOVWF       calc_sunset_idor+1 
	MOVF        R2, 0 
	MOVWF       calc_sunset_idor+2 
	MOVF        R3, 0 
	MOVWF       calc_sunset_idor+3 
;GpsClock.mbas,449 :: 		totdat = 0
	CLRF        calc_sunset_totdat+0 
	CLRF        calc_sunset_totdat+1 
	CLRF        calc_sunset_totdat+2 
	CLRF        calc_sunset_totdat+3 
;GpsClock.mbas,450 :: 		for tmp_month = 1 to month - 1
	MOVLW       1
	MOVWF       calc_sunset_tmp_month+0 
L__calc_sunset91:
	DECF        FARG_calc_sunset_month+0, 0 
	MOVWF       FLOC__calc_sunset+0 
	MOVF        calc_sunset_tmp_month+0, 0 
	SUBWF       FLOC__calc_sunset+0, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L__calc_sunset95
;GpsClock.mbas,452 :: 		case 1  totdat = totdat + 31
	MOVF        calc_sunset_tmp_month+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__calc_sunset99
	MOVF        calc_sunset_totdat+0, 0 
	MOVWF       R0 
	MOVF        calc_sunset_totdat+1, 0 
	MOVWF       R1 
	MOVF        calc_sunset_totdat+2, 0 
	MOVWF       R2 
	MOVF        calc_sunset_totdat+3, 0 
	MOVWF       R3 
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       120
	MOVWF       R6 
	MOVLW       131
	MOVWF       R7 
	CALL        _Add_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       calc_sunset_totdat+0 
	MOVF        R1, 0 
	MOVWF       calc_sunset_totdat+1 
	MOVF        R2, 0 
	MOVWF       calc_sunset_totdat+2 
	MOVF        R3, 0 
	MOVWF       calc_sunset_totdat+3 
	GOTO        L__calc_sunset96
L__calc_sunset99:
;GpsClock.mbas,453 :: 		case 2  if is_leapyear( year ) then
	MOVF        calc_sunset_tmp_month+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L__calc_sunset102
	MOVF        FARG_calc_sunset_year+0, 0 
	MOVWF       FARG_is_leapyear_year+0 
	CALL        _is_leapyear+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__calc_sunset104
;GpsClock.mbas,454 :: 		totdat = totdat +  29
	MOVF        calc_sunset_totdat+0, 0 
	MOVWF       R0 
	MOVF        calc_sunset_totdat+1, 0 
	MOVWF       R1 
	MOVF        calc_sunset_totdat+2, 0 
	MOVWF       R2 
	MOVF        calc_sunset_totdat+3, 0 
	MOVWF       R3 
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       104
	MOVWF       R6 
	MOVLW       131
	MOVWF       R7 
	CALL        _Add_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       calc_sunset_totdat+0 
	MOVF        R1, 0 
	MOVWF       calc_sunset_totdat+1 
	MOVF        R2, 0 
	MOVWF       calc_sunset_totdat+2 
	MOVF        R3, 0 
	MOVWF       calc_sunset_totdat+3 
	GOTO        L__calc_sunset105
;GpsClock.mbas,455 :: 		else
L__calc_sunset104:
;GpsClock.mbas,456 :: 		totdat = totdat +  28
	MOVF        calc_sunset_totdat+0, 0 
	MOVWF       R0 
	MOVF        calc_sunset_totdat+1, 0 
	MOVWF       R1 
	MOVF        calc_sunset_totdat+2, 0 
	MOVWF       R2 
	MOVF        calc_sunset_totdat+3, 0 
	MOVWF       R3 
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       96
	MOVWF       R6 
	MOVLW       131
	MOVWF       R7 
	CALL        _Add_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       calc_sunset_totdat+0 
	MOVF        R1, 0 
	MOVWF       calc_sunset_totdat+1 
	MOVF        R2, 0 
	MOVWF       calc_sunset_totdat+2 
	MOVF        R3, 0 
	MOVWF       calc_sunset_totdat+3 
;GpsClock.mbas,457 :: 		end if
L__calc_sunset105:
	GOTO        L__calc_sunset96
L__calc_sunset102:
;GpsClock.mbas,458 :: 		case 3  totdat = totdat +  31
	MOVF        calc_sunset_tmp_month+0, 0 
	XORLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L__calc_sunset108
	MOVF        calc_sunset_totdat+0, 0 
	MOVWF       R0 
	MOVF        calc_sunset_totdat+1, 0 
	MOVWF       R1 
	MOVF        calc_sunset_totdat+2, 0 
	MOVWF       R2 
	MOVF        calc_sunset_totdat+3, 0 
	MOVWF       R3 
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       120
	MOVWF       R6 
	MOVLW       131
	MOVWF       R7 
	CALL        _Add_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       calc_sunset_totdat+0 
	MOVF        R1, 0 
	MOVWF       calc_sunset_totdat+1 
	MOVF        R2, 0 
	MOVWF       calc_sunset_totdat+2 
	MOVF        R3, 0 
	MOVWF       calc_sunset_totdat+3 
	GOTO        L__calc_sunset96
L__calc_sunset108:
;GpsClock.mbas,459 :: 		case 4  totdat = totdat +  30
	MOVF        calc_sunset_tmp_month+0, 0 
	XORLW       4
	BTFSS       STATUS+0, 2 
	GOTO        L__calc_sunset111
	MOVF        calc_sunset_totdat+0, 0 
	MOVWF       R0 
	MOVF        calc_sunset_totdat+1, 0 
	MOVWF       R1 
	MOVF        calc_sunset_totdat+2, 0 
	MOVWF       R2 
	MOVF        calc_sunset_totdat+3, 0 
	MOVWF       R3 
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       112
	MOVWF       R6 
	MOVLW       131
	MOVWF       R7 
	CALL        _Add_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       calc_sunset_totdat+0 
	MOVF        R1, 0 
	MOVWF       calc_sunset_totdat+1 
	MOVF        R2, 0 
	MOVWF       calc_sunset_totdat+2 
	MOVF        R3, 0 
	MOVWF       calc_sunset_totdat+3 
	GOTO        L__calc_sunset96
L__calc_sunset111:
;GpsClock.mbas,460 :: 		case 5  totdat = totdat +  31
	MOVF        calc_sunset_tmp_month+0, 0 
	XORLW       5
	BTFSS       STATUS+0, 2 
	GOTO        L__calc_sunset114
	MOVF        calc_sunset_totdat+0, 0 
	MOVWF       R0 
	MOVF        calc_sunset_totdat+1, 0 
	MOVWF       R1 
	MOVF        calc_sunset_totdat+2, 0 
	MOVWF       R2 
	MOVF        calc_sunset_totdat+3, 0 
	MOVWF       R3 
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       120
	MOVWF       R6 
	MOVLW       131
	MOVWF       R7 
	CALL        _Add_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       calc_sunset_totdat+0 
	MOVF        R1, 0 
	MOVWF       calc_sunset_totdat+1 
	MOVF        R2, 0 
	MOVWF       calc_sunset_totdat+2 
	MOVF        R3, 0 
	MOVWF       calc_sunset_totdat+3 
	GOTO        L__calc_sunset96
L__calc_sunset114:
;GpsClock.mbas,461 :: 		case 6  totdat = totdat +  30
	MOVF        calc_sunset_tmp_month+0, 0 
	XORLW       6
	BTFSS       STATUS+0, 2 
	GOTO        L__calc_sunset117
	MOVF        calc_sunset_totdat+0, 0 
	MOVWF       R0 
	MOVF        calc_sunset_totdat+1, 0 
	MOVWF       R1 
	MOVF        calc_sunset_totdat+2, 0 
	MOVWF       R2 
	MOVF        calc_sunset_totdat+3, 0 
	MOVWF       R3 
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       112
	MOVWF       R6 
	MOVLW       131
	MOVWF       R7 
	CALL        _Add_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       calc_sunset_totdat+0 
	MOVF        R1, 0 
	MOVWF       calc_sunset_totdat+1 
	MOVF        R2, 0 
	MOVWF       calc_sunset_totdat+2 
	MOVF        R3, 0 
	MOVWF       calc_sunset_totdat+3 
	GOTO        L__calc_sunset96
L__calc_sunset117:
;GpsClock.mbas,462 :: 		case 7  totdat = totdat +  31
	MOVF        calc_sunset_tmp_month+0, 0 
	XORLW       7
	BTFSS       STATUS+0, 2 
	GOTO        L__calc_sunset120
	MOVF        calc_sunset_totdat+0, 0 
	MOVWF       R0 
	MOVF        calc_sunset_totdat+1, 0 
	MOVWF       R1 
	MOVF        calc_sunset_totdat+2, 0 
	MOVWF       R2 
	MOVF        calc_sunset_totdat+3, 0 
	MOVWF       R3 
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       120
	MOVWF       R6 
	MOVLW       131
	MOVWF       R7 
	CALL        _Add_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       calc_sunset_totdat+0 
	MOVF        R1, 0 
	MOVWF       calc_sunset_totdat+1 
	MOVF        R2, 0 
	MOVWF       calc_sunset_totdat+2 
	MOVF        R3, 0 
	MOVWF       calc_sunset_totdat+3 
	GOTO        L__calc_sunset96
L__calc_sunset120:
;GpsClock.mbas,463 :: 		case 8  totdat = totdat +  31
	MOVF        calc_sunset_tmp_month+0, 0 
	XORLW       8
	BTFSS       STATUS+0, 2 
	GOTO        L__calc_sunset123
	MOVF        calc_sunset_totdat+0, 0 
	MOVWF       R0 
	MOVF        calc_sunset_totdat+1, 0 
	MOVWF       R1 
	MOVF        calc_sunset_totdat+2, 0 
	MOVWF       R2 
	MOVF        calc_sunset_totdat+3, 0 
	MOVWF       R3 
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       120
	MOVWF       R6 
	MOVLW       131
	MOVWF       R7 
	CALL        _Add_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       calc_sunset_totdat+0 
	MOVF        R1, 0 
	MOVWF       calc_sunset_totdat+1 
	MOVF        R2, 0 
	MOVWF       calc_sunset_totdat+2 
	MOVF        R3, 0 
	MOVWF       calc_sunset_totdat+3 
	GOTO        L__calc_sunset96
L__calc_sunset123:
;GpsClock.mbas,464 :: 		case 9  totdat = totdat +  30
	MOVF        calc_sunset_tmp_month+0, 0 
	XORLW       9
	BTFSS       STATUS+0, 2 
	GOTO        L__calc_sunset126
	MOVF        calc_sunset_totdat+0, 0 
	MOVWF       R0 
	MOVF        calc_sunset_totdat+1, 0 
	MOVWF       R1 
	MOVF        calc_sunset_totdat+2, 0 
	MOVWF       R2 
	MOVF        calc_sunset_totdat+3, 0 
	MOVWF       R3 
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       112
	MOVWF       R6 
	MOVLW       131
	MOVWF       R7 
	CALL        _Add_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       calc_sunset_totdat+0 
	MOVF        R1, 0 
	MOVWF       calc_sunset_totdat+1 
	MOVF        R2, 0 
	MOVWF       calc_sunset_totdat+2 
	MOVF        R3, 0 
	MOVWF       calc_sunset_totdat+3 
	GOTO        L__calc_sunset96
L__calc_sunset126:
;GpsClock.mbas,465 :: 		case 10 totdat = totdat +  31
	MOVF        calc_sunset_tmp_month+0, 0 
	XORLW       10
	BTFSS       STATUS+0, 2 
	GOTO        L__calc_sunset129
	MOVF        calc_sunset_totdat+0, 0 
	MOVWF       R0 
	MOVF        calc_sunset_totdat+1, 0 
	MOVWF       R1 
	MOVF        calc_sunset_totdat+2, 0 
	MOVWF       R2 
	MOVF        calc_sunset_totdat+3, 0 
	MOVWF       R3 
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       120
	MOVWF       R6 
	MOVLW       131
	MOVWF       R7 
	CALL        _Add_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       calc_sunset_totdat+0 
	MOVF        R1, 0 
	MOVWF       calc_sunset_totdat+1 
	MOVF        R2, 0 
	MOVWF       calc_sunset_totdat+2 
	MOVF        R3, 0 
	MOVWF       calc_sunset_totdat+3 
	GOTO        L__calc_sunset96
L__calc_sunset129:
;GpsClock.mbas,466 :: 		case 11 totdat = totdat +  30
	MOVF        calc_sunset_tmp_month+0, 0 
	XORLW       11
	BTFSS       STATUS+0, 2 
	GOTO        L__calc_sunset132
	MOVF        calc_sunset_totdat+0, 0 
	MOVWF       R0 
	MOVF        calc_sunset_totdat+1, 0 
	MOVWF       R1 
	MOVF        calc_sunset_totdat+2, 0 
	MOVWF       R2 
	MOVF        calc_sunset_totdat+3, 0 
	MOVWF       R3 
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       112
	MOVWF       R6 
	MOVLW       131
	MOVWF       R7 
	CALL        _Add_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       calc_sunset_totdat+0 
	MOVF        R1, 0 
	MOVWF       calc_sunset_totdat+1 
	MOVF        R2, 0 
	MOVWF       calc_sunset_totdat+2 
	MOVF        R3, 0 
	MOVWF       calc_sunset_totdat+3 
	GOTO        L__calc_sunset96
L__calc_sunset132:
;GpsClock.mbas,467 :: 		case 12 totdat = totdat +  31
	MOVF        calc_sunset_tmp_month+0, 0 
	XORLW       12
	BTFSS       STATUS+0, 2 
	GOTO        L__calc_sunset135
	MOVF        calc_sunset_totdat+0, 0 
	MOVWF       R0 
	MOVF        calc_sunset_totdat+1, 0 
	MOVWF       R1 
	MOVF        calc_sunset_totdat+2, 0 
	MOVWF       R2 
	MOVF        calc_sunset_totdat+3, 0 
	MOVWF       R3 
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       120
	MOVWF       R6 
	MOVLW       131
	MOVWF       R7 
	CALL        _Add_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       calc_sunset_totdat+0 
	MOVF        R1, 0 
	MOVWF       calc_sunset_totdat+1 
	MOVF        R2, 0 
	MOVWF       calc_sunset_totdat+2 
	MOVF        R3, 0 
	MOVWF       calc_sunset_totdat+3 
	GOTO        L__calc_sunset96
L__calc_sunset135:
L__calc_sunset96:
;GpsClock.mbas,469 :: 		next tmp_month
	MOVF        calc_sunset_tmp_month+0, 0 
	XORWF       FLOC__calc_sunset+0, 0 
	BTFSC       STATUS+0, 2 
	GOTO        L__calc_sunset95
	INCF        calc_sunset_tmp_month+0, 1 
	GOTO        L__calc_sunset91
L__calc_sunset95:
;GpsClock.mbas,470 :: 		totdat = totdat + date
	MOVF        FARG_calc_sunset_date+0, 0 
	MOVWF       R0 
	CALL        _Byte2Double+0, 0
	MOVF        calc_sunset_totdat+0, 0 
	MOVWF       R4 
	MOVF        calc_sunset_totdat+1, 0 
	MOVWF       R5 
	MOVF        calc_sunset_totdat+2, 0 
	MOVWF       R6 
	MOVF        calc_sunset_totdat+3, 0 
	MOVWF       R7 
	CALL        _Add_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__calc_sunset+0 
	MOVF        R1, 0 
	MOVWF       FLOC__calc_sunset+1 
	MOVF        R2, 0 
	MOVWF       FLOC__calc_sunset+2 
	MOVF        R3, 0 
	MOVWF       FLOC__calc_sunset+3 
	MOVF        FLOC__calc_sunset+0, 0 
	MOVWF       calc_sunset_totdat+0 
	MOVF        FLOC__calc_sunset+1, 0 
	MOVWF       calc_sunset_totdat+1 
	MOVF        FLOC__calc_sunset+2, 0 
	MOVWF       calc_sunset_totdat+2 
	MOVF        FLOC__calc_sunset+3, 0 
	MOVWF       calc_sunset_totdat+3 
;GpsClock.mbas,471 :: 		d1 = 2 * PI * (totdat - 81.5) / 365
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       35
	MOVWF       R6 
	MOVLW       133
	MOVWF       R7 
	MOVF        FLOC__calc_sunset+0, 0 
	MOVWF       R0 
	MOVF        FLOC__calc_sunset+1, 0 
	MOVWF       R1 
	MOVF        FLOC__calc_sunset+2, 0 
	MOVWF       R2 
	MOVF        FLOC__calc_sunset+3, 0 
	MOVWF       R3 
	CALL        _Sub_32x32_FP+0, 0
	MOVLW       216
	MOVWF       R4 
	MOVLW       15
	MOVWF       R5 
	MOVLW       73
	MOVWF       R6 
	MOVLW       129
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVLW       0
	MOVWF       R4 
	MOVLW       128
	MOVWF       R5 
	MOVLW       54
	MOVWF       R6 
	MOVLW       135
	MOVWF       R7 
	CALL        _Div_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       calc_sunset_d1+0 
	MOVF        R1, 0 
	MOVWF       calc_sunset_d1+1 
	MOVF        R2, 0 
	MOVWF       calc_sunset_d1+2 
	MOVF        R3, 0 
	MOVWF       calc_sunset_d1+3 
;GpsClock.mbas,472 :: 		d2 = 2 * PI * (totdat - 3) / 365
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       64
	MOVWF       R6 
	MOVLW       128
	MOVWF       R7 
	MOVF        FLOC__calc_sunset+0, 0 
	MOVWF       R0 
	MOVF        FLOC__calc_sunset+1, 0 
	MOVWF       R1 
	MOVF        FLOC__calc_sunset+2, 0 
	MOVWF       R2 
	MOVF        FLOC__calc_sunset+3, 0 
	MOVWF       R3 
	CALL        _Sub_32x32_FP+0, 0
	MOVLW       216
	MOVWF       R4 
	MOVLW       15
	MOVWF       R5 
	MOVLW       73
	MOVWF       R6 
	MOVLW       129
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVLW       0
	MOVWF       R4 
	MOVLW       128
	MOVWF       R5 
	MOVLW       54
	MOVWF       R6 
	MOVLW       135
	MOVWF       R7 
	CALL        _Div_32x32_FP+0, 0
;GpsClock.mbas,473 :: 		k1 = -7.37 * sin(d2)
	MOVF        R0, 0 
	MOVWF       FARG_sin_arg+0 
	MOVF        R1, 0 
	MOVWF       FARG_sin_arg+1 
	MOVF        R2, 0 
	MOVWF       FARG_sin_arg+2 
	MOVF        R3, 0 
	MOVWF       FARG_sin_arg+3 
	CALL        _sin+0, 0
	MOVLW       10
	MOVWF       R4 
	MOVLW       215
	MOVWF       R5 
	MOVLW       235
	MOVWF       R6 
	MOVLW       129
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       calc_sunset_k1+0 
	MOVF        R1, 0 
	MOVWF       calc_sunset_k1+1 
	MOVF        R2, 0 
	MOVWF       calc_sunset_k1+2 
	MOVF        R3, 0 
	MOVWF       calc_sunset_k1+3 
;GpsClock.mbas,474 :: 		k2 = 9.86 * sin(2 * d1)
	MOVLW       0
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVLW       0
	MOVWF       R2 
	MOVLW       128
	MOVWF       R3 
	MOVF        calc_sunset_d1+0, 0 
	MOVWF       R4 
	MOVF        calc_sunset_d1+1, 0 
	MOVWF       R5 
	MOVF        calc_sunset_d1+2, 0 
	MOVWF       R6 
	MOVF        calc_sunset_d1+3, 0 
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_sin_arg+0 
	MOVF        R1, 0 
	MOVWF       FARG_sin_arg+1 
	MOVF        R2, 0 
	MOVWF       FARG_sin_arg+2 
	MOVF        R3, 0 
	MOVWF       FARG_sin_arg+3 
	CALL        _sin+0, 0
	MOVLW       143
	MOVWF       R4 
	MOVLW       194
	MOVWF       R5 
	MOVLW       29
	MOVWF       R6 
	MOVLW       130
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
;GpsClock.mbas,475 :: 		kinji = k1 + k2
	MOVF        calc_sunset_k1+0, 0 
	MOVWF       R4 
	MOVF        calc_sunset_k1+1, 0 
	MOVWF       R5 
	MOVF        calc_sunset_k1+2, 0 
	MOVWF       R6 
	MOVF        calc_sunset_k1+3, 0 
	MOVWF       R7 
	CALL        _Add_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       calc_sunset_kinji+0 
	MOVF        R1, 0 
	MOVWF       calc_sunset_kinji+1 
	MOVF        R2, 0 
	MOVWF       calc_sunset_kinji+2 
	MOVF        R3, 0 
	MOVWF       calc_sunset_kinji+3 
;GpsClock.mbas,476 :: 		delta = 0.4082 * sin(d1)
	MOVF        calc_sunset_d1+0, 0 
	MOVWF       FARG_sin_arg+0 
	MOVF        calc_sunset_d1+1, 0 
	MOVWF       FARG_sin_arg+1 
	MOVF        calc_sunset_d1+2, 0 
	MOVWF       FARG_sin_arg+2 
	MOVF        calc_sunset_d1+3, 0 
	MOVWF       FARG_sin_arg+3 
	CALL        _sin+0, 0
	MOVLW       151
	MOVWF       R4 
	MOVLW       255
	MOVWF       R5 
	MOVLW       80
	MOVWF       R6 
	MOVLW       125
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       calc_sunset_delta+0 
	MOVF        R1, 0 
	MOVWF       calc_sunset_delta+1 
	MOVF        R2, 0 
	MOVWF       calc_sunset_delta+2 
	MOVF        R3, 0 
	MOVWF       calc_sunset_delta+3 
;GpsClock.mbas,477 :: 		day_min = 1440 * (1 - acos(tan(delta)*tan(idor)) / PI)
	MOVF        R0, 0 
	MOVWF       FARG_tan_x+0 
	MOVF        R1, 0 
	MOVWF       FARG_tan_x+1 
	MOVF        R2, 0 
	MOVWF       FARG_tan_x+2 
	MOVF        R3, 0 
	MOVWF       FARG_tan_x+3 
	CALL        _tan+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__calc_sunset+0 
	MOVF        R1, 0 
	MOVWF       FLOC__calc_sunset+1 
	MOVF        R2, 0 
	MOVWF       FLOC__calc_sunset+2 
	MOVF        R3, 0 
	MOVWF       FLOC__calc_sunset+3 
	MOVF        calc_sunset_idor+0, 0 
	MOVWF       FARG_tan_x+0 
	MOVF        calc_sunset_idor+1, 0 
	MOVWF       FARG_tan_x+1 
	MOVF        calc_sunset_idor+2, 0 
	MOVWF       FARG_tan_x+2 
	MOVF        calc_sunset_idor+3, 0 
	MOVWF       FARG_tan_x+3 
	CALL        _tan+0, 0
	MOVF        FLOC__calc_sunset+0, 0 
	MOVWF       R4 
	MOVF        FLOC__calc_sunset+1, 0 
	MOVWF       R5 
	MOVF        FLOC__calc_sunset+2, 0 
	MOVWF       R6 
	MOVF        FLOC__calc_sunset+3, 0 
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_acos_x+0 
	MOVF        R1, 0 
	MOVWF       FARG_acos_x+1 
	MOVF        R2, 0 
	MOVWF       FARG_acos_x+2 
	MOVF        R3, 0 
	MOVWF       FARG_acos_x+3 
	CALL        _acos+0, 0
	MOVLW       216
	MOVWF       R4 
	MOVLW       15
	MOVWF       R5 
	MOVLW       73
	MOVWF       R6 
	MOVLW       128
	MOVWF       R7 
	CALL        _Div_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       R4 
	MOVF        R1, 0 
	MOVWF       R5 
	MOVF        R2, 0 
	MOVWF       R6 
	MOVF        R3, 0 
	MOVWF       R7 
	MOVLW       0
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVLW       0
	MOVWF       R2 
	MOVLW       127
	MOVWF       R3 
	CALL        _Sub_32x32_FP+0, 0
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       52
	MOVWF       R6 
	MOVLW       137
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       calc_sunset_day_min+0 
	MOVF        R1, 0 
	MOVWF       calc_sunset_day_min+1 
	MOVF        R2, 0 
	MOVWF       calc_sunset_day_min+2 
	MOVF        R3, 0 
	MOVWF       calc_sunset_day_min+3 
;GpsClock.mbas,478 :: 		hosei_min = 0.8502 * 4 / sqrt(1 - sin(idor) * sin(idor) / (cos(delta) * cos(delta)))
	MOVF        calc_sunset_idor+0, 0 
	MOVWF       FARG_sin_arg+0 
	MOVF        calc_sunset_idor+1, 0 
	MOVWF       FARG_sin_arg+1 
	MOVF        calc_sunset_idor+2, 0 
	MOVWF       FARG_sin_arg+2 
	MOVF        calc_sunset_idor+3, 0 
	MOVWF       FARG_sin_arg+3 
	CALL        _sin+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__calc_sunset+0 
	MOVF        R1, 0 
	MOVWF       FLOC__calc_sunset+1 
	MOVF        R2, 0 
	MOVWF       FLOC__calc_sunset+2 
	MOVF        R3, 0 
	MOVWF       FLOC__calc_sunset+3 
	MOVF        calc_sunset_idor+0, 0 
	MOVWF       FARG_sin_arg+0 
	MOVF        calc_sunset_idor+1, 0 
	MOVWF       FARG_sin_arg+1 
	MOVF        calc_sunset_idor+2, 0 
	MOVWF       FARG_sin_arg+2 
	MOVF        calc_sunset_idor+3, 0 
	MOVWF       FARG_sin_arg+3 
	CALL        _sin+0, 0
	MOVF        FLOC__calc_sunset+0, 0 
	MOVWF       R4 
	MOVF        FLOC__calc_sunset+1, 0 
	MOVWF       R5 
	MOVF        FLOC__calc_sunset+2, 0 
	MOVWF       R6 
	MOVF        FLOC__calc_sunset+3, 0 
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__calc_sunset+4 
	MOVF        R1, 0 
	MOVWF       FLOC__calc_sunset+5 
	MOVF        R2, 0 
	MOVWF       FLOC__calc_sunset+6 
	MOVF        R3, 0 
	MOVWF       FLOC__calc_sunset+7 
	MOVF        calc_sunset_delta+0, 0 
	MOVWF       FARG_cos_arg+0 
	MOVF        calc_sunset_delta+1, 0 
	MOVWF       FARG_cos_arg+1 
	MOVF        calc_sunset_delta+2, 0 
	MOVWF       FARG_cos_arg+2 
	MOVF        calc_sunset_delta+3, 0 
	MOVWF       FARG_cos_arg+3 
	CALL        _cos+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__calc_sunset+0 
	MOVF        R1, 0 
	MOVWF       FLOC__calc_sunset+1 
	MOVF        R2, 0 
	MOVWF       FLOC__calc_sunset+2 
	MOVF        R3, 0 
	MOVWF       FLOC__calc_sunset+3 
	MOVF        calc_sunset_delta+0, 0 
	MOVWF       FARG_cos_arg+0 
	MOVF        calc_sunset_delta+1, 0 
	MOVWF       FARG_cos_arg+1 
	MOVF        calc_sunset_delta+2, 0 
	MOVWF       FARG_cos_arg+2 
	MOVF        calc_sunset_delta+3, 0 
	MOVWF       FARG_cos_arg+3 
	CALL        _cos+0, 0
	MOVF        FLOC__calc_sunset+0, 0 
	MOVWF       R4 
	MOVF        FLOC__calc_sunset+1, 0 
	MOVWF       R5 
	MOVF        FLOC__calc_sunset+2, 0 
	MOVWF       R6 
	MOVF        FLOC__calc_sunset+3, 0 
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       R4 
	MOVF        R1, 0 
	MOVWF       R5 
	MOVF        R2, 0 
	MOVWF       R6 
	MOVF        R3, 0 
	MOVWF       R7 
	MOVF        FLOC__calc_sunset+4, 0 
	MOVWF       R0 
	MOVF        FLOC__calc_sunset+5, 0 
	MOVWF       R1 
	MOVF        FLOC__calc_sunset+6, 0 
	MOVWF       R2 
	MOVF        FLOC__calc_sunset+7, 0 
	MOVWF       R3 
	CALL        _Div_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       R4 
	MOVF        R1, 0 
	MOVWF       R5 
	MOVF        R2, 0 
	MOVWF       R6 
	MOVF        R3, 0 
	MOVWF       R7 
	MOVLW       0
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVLW       0
	MOVWF       R2 
	MOVLW       127
	MOVWF       R3 
	CALL        _Sub_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_sqrt_x+0 
	MOVF        R1, 0 
	MOVWF       FARG_sqrt_x+1 
	MOVF        R2, 0 
	MOVWF       FARG_sqrt_x+2 
	MOVF        R3, 0 
	MOVWF       FARG_sqrt_x+3 
	CALL        _sqrt+0, 0
	MOVF        R0, 0 
	MOVWF       R4 
	MOVF        R1, 0 
	MOVWF       R5 
	MOVF        R2, 0 
	MOVWF       R6 
	MOVF        R3, 0 
	MOVWF       R7 
	MOVLW       181
	MOVWF       R0 
	MOVLW       166
	MOVWF       R1 
	MOVLW       89
	MOVWF       R2 
	MOVLW       128
	MOVWF       R3 
	CALL        _Div_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__calc_sunset+4 
	MOVF        R1, 0 
	MOVWF       FLOC__calc_sunset+5 
	MOVF        R2, 0 
	MOVWF       FLOC__calc_sunset+6 
	MOVF        R3, 0 
	MOVWF       FLOC__calc_sunset+7 
	MOVF        calc_sunset_kinji+0, 0 
	MOVWF       R4 
	MOVF        calc_sunset_kinji+1, 0 
	MOVWF       R5 
	MOVF        calc_sunset_kinji+2, 0 
	MOVWF       R6 
	MOVF        calc_sunset_kinji+3, 0 
	MOVWF       R7 
	MOVLW       0
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVLW       52
	MOVWF       R2 
	MOVLW       136
	MOVWF       R3 
	CALL        _Sub_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__calc_sunset+0 
	MOVF        R1, 0 
	MOVWF       FLOC__calc_sunset+1 
	MOVF        R2, 0 
	MOVWF       FLOC__calc_sunset+2 
	MOVF        R3, 0 
	MOVWF       FLOC__calc_sunset+3 
	MOVF        FARG_calc_sunset_longitude+0, 0 
	MOVWF       R4 
	MOVF        FARG_calc_sunset_longitude+1, 0 
	MOVWF       R5 
	MOVF        FARG_calc_sunset_longitude+2, 0 
	MOVWF       R6 
	MOVF        FARG_calc_sunset_longitude+3, 0 
	MOVWF       R7 
	MOVLW       0
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVLW       7
	MOVWF       R2 
	MOVLW       134
	MOVWF       R3 
	CALL        _Sub_32x32_FP+0, 0
;GpsClock.mbas,479 :: 		center = 720 - kinji + 4 * (135 - longitude)
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       0
	MOVWF       R6 
	MOVLW       129
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVF        FLOC__calc_sunset+0, 0 
	MOVWF       R4 
	MOVF        FLOC__calc_sunset+1, 0 
	MOVWF       R5 
	MOVF        FLOC__calc_sunset+2, 0 
	MOVWF       R6 
	MOVF        FLOC__calc_sunset+3, 0 
	MOVWF       R7 
	CALL        _Add_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__calc_sunset+0 
	MOVF        R1, 0 
	MOVWF       FLOC__calc_sunset+1 
	MOVF        R2, 0 
	MOVWF       FLOC__calc_sunset+2 
	MOVF        R3, 0 
	MOVWF       FLOC__calc_sunset+3 
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       0
	MOVWF       R6 
	MOVLW       128
	MOVWF       R7 
	MOVF        calc_sunset_day_min+0, 0 
	MOVWF       R0 
	MOVF        calc_sunset_day_min+1, 0 
	MOVWF       R1 
	MOVF        calc_sunset_day_min+2, 0 
	MOVWF       R2 
	MOVF        calc_sunset_day_min+3, 0 
	MOVWF       R3 
	CALL        _Div_32x32_FP+0, 0
;GpsClock.mbas,481 :: 		sunset_min  = center + day_min / 2 + hosei_min
	MOVF        FLOC__calc_sunset+0, 0 
	MOVWF       R4 
	MOVF        FLOC__calc_sunset+1, 0 
	MOVWF       R5 
	MOVF        FLOC__calc_sunset+2, 0 
	MOVWF       R6 
	MOVF        FLOC__calc_sunset+3, 0 
	MOVWF       R7 
	CALL        _Add_32x32_FP+0, 0
	MOVF        FLOC__calc_sunset+4, 0 
	MOVWF       R4 
	MOVF        FLOC__calc_sunset+5, 0 
	MOVWF       R5 
	MOVF        FLOC__calc_sunset+6, 0 
	MOVWF       R6 
	MOVF        FLOC__calc_sunset+7, 0 
	MOVWF       R7 
	CALL        _Add_32x32_FP+0, 0
;GpsClock.mbas,483 :: 		result = sunset_min
	CALL        _Double2Word+0, 0
	MOVF        R0, 0 
	MOVWF       calc_sunset_local_result+0 
	MOVF        R1, 0 
	MOVWF       calc_sunset_local_result+1 
;GpsClock.mbas,484 :: 		end sub
	MOVF        calc_sunset_local_result+0, 0 
	MOVWF       R0 
	MOVF        calc_sunset_local_result+1, 0 
	MOVWF       R1 
L_end_calc_sunset:
	RETURN      0
; end of _calc_sunset

_main:

;GpsClock.mbas,504 :: 		dim gps_recieved as boolean
;GpsClock.mbas,506 :: 		IRCF2_bit = 1   ' 16MHz
	BSF         IRCF2_bit+0, BitPos(IRCF2_bit+0) 
;GpsClock.mbas,507 :: 		IRCF1_bit = 1
	BSF         IRCF1_bit+0, BitPos(IRCF1_bit+0) 
;GpsClock.mbas,508 :: 		IRCF0_bit = 1
	BSF         IRCF0_bit+0, BitPos(IRCF0_bit+0) 
;GpsClock.mbas,511 :: 		RABPU_bit = 1 ' PORTA and PORTB pull-ups are disabled
	BSF         RABPU_bit+0, BitPos(RABPU_bit+0) 
;GpsClock.mbas,513 :: 		LED7SEG_ENABLE_TRIS  = PORT_OUTPUT
	BCF         TRISC6_bit+0, BitPos(TRISC6_bit+0) 
;GpsClock.mbas,514 :: 		LED7SEG_CLK_TRIS     = PORT_OUTPUT
	BCF         TRISC2_bit+0, BitPos(TRISC2_bit+0) 
;GpsClock.mbas,515 :: 		LED7SEG_DATA_TRIS    = PORT_OUTPUT
	BCF         TRISC7_bit+0, BitPos(TRISC7_bit+0) 
;GpsClock.mbas,516 :: 		LED_TRIS             = PORT_OUTPUT
	BCF         TRISA5_bit+0, BitPos(TRISA5_bit+0) 
;GpsClock.mbas,517 :: 		RTC_OUT_TRIS         = PORT_INPUT
	BSF         TRISA2_bit+0, BitPos(TRISA2_bit+0) 
;GpsClock.mbas,518 :: 		GPS_TRIS             = PORT_INPUT
	BSF         TRISB5_bit+0, BitPos(TRISB5_bit+0) 
;GpsClock.mbas,519 :: 		SW_TRIS              = PORT_INPUT
	BSF         TRISC0_bit+0, BitPos(TRISC0_bit+0) 
;GpsClock.mbas,521 :: 		LED_PORT = 0
	BCF         LATA5_bit+0, BitPos(LATA5_bit+0) 
;GpsClock.mbas,523 :: 		ANSELH = 0x0  ' PORT B,C Digital I/O
	CLRF        ANSELH+0 
;GpsClock.mbas,524 :: 		ANSEL  = 0x0  ' PORT C,A Digital I/O
	CLRF        ANSEL+0 
;GpsClock.mbas,526 :: 		I2C1_Init(100000) ' DS1307 I2C is running at 100KHz
	MOVLW       40
	MOVWF       SSPADD+0 
	CALL        _I2C1_Init+0, 0
;GpsClock.mbas,527 :: 		write_ds1307(ADDRESS_CONTROL,OUT_1HZ)
	MOVLW       7
	MOVWF       FARG_write_ds1307_address+0 
	MOVLW       16
	MOVWF       FARG_write_ds1307_w_data+0 
	CALL        _write_ds1307+0, 0
;GpsClock.mbas,530 :: 		INT2_interrupt_rising_edge   = false ' Interrupt on falling edge
	BCF         INTEDG2_bit+0, BitPos(INTEDG2_bit+0) 
;GpsClock.mbas,531 :: 		INT2_interrupt_occured       = false
	BCF         INT2IF_bit+0, BitPos(INT2IF_bit+0) 
;GpsClock.mbas,532 :: 		INT2_interrupt_high_priority = false
	BCF         INT2IP_bit+0, BitPos(INT2IP_bit+0) 
;GpsClock.mbas,534 :: 		longitude = 0.0
	CLRF        main_longitude+0 
	CLRF        main_longitude+1 
	CLRF        main_longitude+2 
	CLRF        main_longitude+3 
;GpsClock.mbas,535 :: 		latitude  = 0.0
	CLRF        main_latitude+0 
	CLRF        main_latitude+1 
	CLRF        main_latitude+2 
	CLRF        main_latitude+3 
;GpsClock.mbas,536 :: 		gps_buffer_index = 0
	CLRF        _gps_buffer_index+0 
;GpsClock.mbas,537 :: 		gps_buffer_full  = false
	CLRF        _gps_buffer_full+0 
;GpsClock.mbas,538 :: 		gps_recieved = false
	CLRF        main_gps_recieved+0 
;GpsClock.mbas,541 :: 		Eusart_TX_enable                 = false
	BCF         TXEN_bit+0, BitPos(TXEN_bit+0) 
;GpsClock.mbas,542 :: 		Eusart_baud16bit                 = false
	BCF         BRG16_bit+0, BitPos(BRG16_bit+0) 
;GpsClock.mbas,543 :: 		Eusart_serial_port_enable        = true
	BSF         SPEN_bit+0, BitPos(SPEN_bit+0) 
;GpsClock.mbas,544 :: 		Eusart_serial_9bit_mode          = false
	BCF         RX9_bit+0, BitPos(RX9_bit+0) 
;GpsClock.mbas,545 :: 		Eusart_continuous_receive_enable = true
	BSF         CREN_bit+0, BitPos(CREN_bit+0) 
;GpsClock.mbas,546 :: 		Eusart_mode_sync                 = false ' async mode
	BCF         SYNC_bit+0, BitPos(SYNC_bit+0) 
;GpsClock.mbas,547 :: 		Eusart_high_baud_rate            = false
	BCF         BRGH_bit+0, BitPos(BRGH_bit+0) 
;GpsClock.mbas,548 :: 		SPBRG = 25    ' 9600 bps
	MOVLW       25
	MOVWF       SPBRG+0 
;GpsClock.mbas,549 :: 		Eusart_recieve_interrupt_occured = false
	BCF         RCIF_bit+0, BitPos(RCIF_bit+0) 
;GpsClock.mbas,550 :: 		Eusart_interrupt_high_priority   = false
	BCF         RCIP_bit+0, BitPos(RCIP_bit+0) 
;GpsClock.mbas,551 :: 		Eusart_recieve_interrupt_enable  = true
	BSF         RCIE_bit+0, BitPos(RCIE_bit+0) 
;GpsClock.mbas,553 :: 		delay_ms(1000)
	MOVLW       21
	MOVWF       R11, 0
	MOVLW       75
	MOVWF       R12, 0
	MOVLW       190
	MOVWF       R13, 0
L__main137:
	DECFSZ      R13, 1, 1
	BRA         L__main137
	DECFSZ      R12, 1, 1
	BRA         L__main137
	DECFSZ      R11, 1, 1
	BRA         L__main137
	NOP
;GpsClock.mbas,555 :: 		led7seg_write( CMD_ID or CMD_CODE or 0 )
	MOVLW       240
	MOVWF       FARG_led7seg_write_dat+0 
	CALL        _led7seg_write+0, 0
;GpsClock.mbas,556 :: 		led7seg_write( CMD_ASCII )
	CLRF        FARG_led7seg_write_dat+0 
	CALL        _led7seg_write+0, 0
;GpsClock.mbas,557 :: 		delay_ms(100)
	MOVLW       3
	MOVWF       R11, 0
	MOVLW       8
	MOVWF       R12, 0
	MOVLW       119
	MOVWF       R13, 0
L__main138:
	DECFSZ      R13, 1, 1
	BRA         L__main138
	DECFSZ      R12, 1, 1
	BRA         L__main138
	DECFSZ      R11, 1, 1
	BRA         L__main138
;GpsClock.mbas,558 :: 		led7seg_write( CMD_ID or CMD_CODE or 1 )
	MOVLW       241
	MOVWF       FARG_led7seg_write_dat+0 
	CALL        _led7seg_write+0, 0
;GpsClock.mbas,559 :: 		led7seg_write( CMD_ASCII_ROTATE )
	MOVLW       2
	MOVWF       FARG_led7seg_write_dat+0 
	CALL        _led7seg_write+0, 0
;GpsClock.mbas,560 :: 		delay_ms(100)
	MOVLW       3
	MOVWF       R11, 0
	MOVLW       8
	MOVWF       R12, 0
	MOVLW       119
	MOVWF       R13, 0
L__main139:
	DECFSZ      R13, 1, 1
	BRA         L__main139
	DECFSZ      R12, 1, 1
	BRA         L__main139
	DECFSZ      R11, 1, 1
	BRA         L__main139
;GpsClock.mbas,561 :: 		led7seg_write( CMD_ID or CMD_CODE or 2 )
	MOVLW       242
	MOVWF       FARG_led7seg_write_dat+0 
	CALL        _led7seg_write+0, 0
;GpsClock.mbas,562 :: 		led7seg_write( CMD_ASCII )
	CLRF        FARG_led7seg_write_dat+0 
	CALL        _led7seg_write+0, 0
;GpsClock.mbas,563 :: 		delay_ms(100)
	MOVLW       3
	MOVWF       R11, 0
	MOVLW       8
	MOVWF       R12, 0
	MOVLW       119
	MOVWF       R13, 0
L__main140:
	DECFSZ      R13, 1, 1
	BRA         L__main140
	DECFSZ      R12, 1, 1
	BRA         L__main140
	DECFSZ      R11, 1, 1
	BRA         L__main140
;GpsClock.mbas,564 :: 		led7seg_write( CMD_ID or CMD_CODE or 3 )
	MOVLW       243
	MOVWF       FARG_led7seg_write_dat+0 
	CALL        _led7seg_write+0, 0
;GpsClock.mbas,565 :: 		led7seg_write( CMD_ASCII )
	CLRF        FARG_led7seg_write_dat+0 
	CALL        _led7seg_write+0, 0
;GpsClock.mbas,566 :: 		delay_ms(100)
	MOVLW       3
	MOVWF       R11, 0
	MOVLW       8
	MOVWF       R12, 0
	MOVLW       119
	MOVWF       R13, 0
L__main141:
	DECFSZ      R13, 1, 1
	BRA         L__main141
	DECFSZ      R12, 1, 1
	BRA         L__main141
	DECFSZ      R11, 1, 1
	BRA         L__main141
;GpsClock.mbas,567 :: 		display_init()
	CALL        _display_init+0, 0
;GpsClock.mbas,568 :: 		delay_ms(500)
	MOVLW       11
	MOVWF       R11, 0
	MOVLW       38
	MOVWF       R12, 0
	MOVLW       93
	MOVWF       R13, 0
L__main142:
	DECFSZ      R13, 1, 1
	BRA         L__main142
	DECFSZ      R12, 1, 1
	BRA         L__main142
	DECFSZ      R11, 1, 1
	BRA         L__main142
	NOP
	NOP
;GpsClock.mbas,571 :: 		INT2_interrupt_enable        = true
	BSF         INT2IE_bit+0, BitPos(INT2IE_bit+0) 
;GpsClock.mbas,572 :: 		interrupt_priority_enable    = true
	BSF         IPEN_bit+0, BitPos(IPEN_bit+0) 
;GpsClock.mbas,573 :: 		interrupt_high_enable        = true
	BSF         GIEH_bit+0, BitPos(GIEH_bit+0) 
;GpsClock.mbas,574 :: 		interrupt_low_enable         = true
	BSF         GIEL_bit+0, BitPos(GIEL_bit+0) 
;GpsClock.mbas,576 :: 		tick_flag = false
	CLRF        _tick_flag+0 
;GpsClock.mbas,577 :: 		tick_counter = 5
	MOVLW       5
	MOVWF       _tick_counter+0 
;GpsClock.mbas,578 :: 		time_colon = true
	MOVLW       255
	MOVWF       main_time_colon+0 
;GpsClock.mbas,579 :: 		update_counter = 0
	CLRF        _update_counter+0 
;GpsClock.mbas,581 :: 		longitude = eep_dbl_read( EEPADDR_LONGITUDE )
	CLRF        FARG_eep_dbl_read_address+0 
	CLRF        FARG_eep_dbl_read_address+1 
	CALL        _eep_dbl_read+0, 0
	MOVF        R0, 0 
	MOVWF       main_longitude+0 
	MOVF        R1, 0 
	MOVWF       main_longitude+1 
	MOVF        R2, 0 
	MOVWF       main_longitude+2 
	MOVF        R3, 0 
	MOVWF       main_longitude+3 
;GpsClock.mbas,582 :: 		latitude  = eep_dbl_read( EEPADDR_LATITUDE  )
	MOVLW       4
	MOVWF       FARG_eep_dbl_read_address+0 
	MOVLW       0
	MOVWF       FARG_eep_dbl_read_address+1 
	CALL        _eep_dbl_read+0, 0
	MOVF        R0, 0 
	MOVWF       main_latitude+0 
	MOVF        R1, 0 
	MOVWF       main_latitude+1 
	MOVF        R2, 0 
	MOVWF       main_latitude+2 
	MOVF        R3, 0 
	MOVWF       main_latitude+3 
;GpsClock.mbas,585 :: 		if OERR_bit then
	BTFSS       OERR_bit+0, BitPos(OERR_bit+0) 
	GOTO        L__main144
;GpsClock.mbas,586 :: 		Eusart_continuous_receive_enable = 0
	BCF         CREN_bit+0, BitPos(CREN_bit+0) 
;GpsClock.mbas,587 :: 		Eusart_continuous_receive_enable = 1
	BSF         CREN_bit+0, BitPos(CREN_bit+0) 
L__main144:
;GpsClock.mbas,590 :: 		while(true)
L__main147:
;GpsClock.mbas,592 :: 		if tick_flag = true then
	MOVF        _tick_flag+0, 0 
	XORLW       255
	BTFSS       STATUS+0, 2 
	GOTO        L__main152
;GpsClock.mbas,593 :: 		if update_counter <> 0 then
	MOVF        _update_counter+0, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L__main155
;GpsClock.mbas,594 :: 		update_counter = update_counter - 1
	DECF        _update_counter+0, 1 
L__main155:
;GpsClock.mbas,596 :: 		current_month   = ds1307_get_month()
	CALL        _ds1307_get_month+0, 0
	MOVF        R0, 0 
	MOVWF       _current_month+0 
;GpsClock.mbas,597 :: 		current_date    = ds1307_get_date()
	CALL        _ds1307_get_date+0, 0
	MOVF        R0, 0 
	MOVWF       _current_date+0 
;GpsClock.mbas,598 :: 		current_hours   = ds1307_get_hour()
	CALL        _ds1307_get_hour+0, 0
	MOVF        R0, 0 
	MOVWF       _current_hours+0 
;GpsClock.mbas,599 :: 		current_minutes = ds1307_get_minutes()
	CALL        _ds1307_get_minutes+0, 0
	MOVF        R0, 0 
	MOVWF       _current_minutes+0 
;GpsClock.mbas,600 :: 		current_seconds = ds1307_get_seconds()
	CALL        _ds1307_get_seconds+0, 0
	MOVF        R0, 0 
	MOVWF       _current_seconds+0 
;GpsClock.mbas,602 :: 		if tick_counter < 5 then
	MOVLW       5
	SUBWF       _tick_counter+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L__main158
;GpsClock.mbas,603 :: 		tick_counter = tick_counter + 1
	INCF        _tick_counter+0, 1 
L__main158:
;GpsClock.mbas,605 :: 		if not ds1307_get_halt() then
	CALL        _ds1307_get_halt+0, 0
	COMF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__main161
;GpsClock.mbas,606 :: 		if SW_PORT = SW_ON then  ' clock mode
	BTFSC       RC0_bit+0, BitPos(RC0_bit+0) 
	GOTO        L__main164
;GpsClock.mbas,607 :: 		if current_hours > 12 then
	MOVF        _current_hours+0, 0 
	SUBLW       12
	BTFSC       STATUS+0, 0 
	GOTO        L__main167
;GpsClock.mbas,608 :: 		display_time( current_hours - 12, current_minutes, time_colon, false )
	MOVLW       12
	SUBWF       _current_hours+0, 0 
	MOVWF       FARG_display_time_hour+0 
	MOVF        _current_minutes+0, 0 
	MOVWF       FARG_display_time_minutes+0 
	MOVF        main_time_colon+0, 0 
	MOVWF       FARG_display_time_time_colon+0 
	CLRF        FARG_display_time_remain+0 
	CALL        _display_time+0, 0
	GOTO        L__main168
;GpsClock.mbas,609 :: 		else
L__main167:
;GpsClock.mbas,610 :: 		display_time( current_hours     , current_minutes, time_colon, false )
	MOVF        _current_hours+0, 0 
	MOVWF       FARG_display_time_hour+0 
	MOVF        _current_minutes+0, 0 
	MOVWF       FARG_display_time_minutes+0 
	MOVF        main_time_colon+0, 0 
	MOVWF       FARG_display_time_time_colon+0 
	CLRF        FARG_display_time_remain+0 
	CALL        _display_time+0, 0
;GpsClock.mbas,611 :: 		end if
L__main168:
	GOTO        L__main165
;GpsClock.mbas,612 :: 		else  ' sunset mode
L__main164:
;GpsClock.mbas,614 :: 		remain_min = 0
	CLRF        main_remain_min+0 
	CLRF        main_remain_min+1 
;GpsClock.mbas,615 :: 		if (longitude <> 0) and (latitude <> 0) then
	MOVF        main_longitude+0, 0 
	MOVWF       R0 
	MOVF        main_longitude+1, 0 
	MOVWF       R1 
	MOVF        main_longitude+2, 0 
	MOVWF       R2 
	MOVF        main_longitude+3, 0 
	MOVWF       R3 
	CLRF        R4 
	CLRF        R5 
	CLRF        R6 
	CLRF        R7 
	CALL        _Equals_Double+0, 0
	MOVLW       0
	BTFSS       STATUS+0, 2 
	MOVLW       255
	MOVWF       FLOC__main+0 
	MOVF        main_latitude+0, 0 
	MOVWF       R0 
	MOVF        main_latitude+1, 0 
	MOVWF       R1 
	MOVF        main_latitude+2, 0 
	MOVWF       R2 
	MOVF        main_latitude+3, 0 
	MOVWF       R3 
	CLRF        R4 
	CLRF        R5 
	CLRF        R6 
	CLRF        R7 
	CALL        _Equals_Double+0, 0
	MOVLW       0
	BTFSS       STATUS+0, 2 
	MOVLW       255
	MOVWF       R0 
	MOVF        FLOC__main+0, 0 
	ANDWF       R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__main170
;GpsClock.mbas,616 :: 		if update_counter = 0 then
	MOVF        _update_counter+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__main173
;GpsClock.mbas,617 :: 		eep_dbl_write( EEPADDR_LONGITUDE, longitude )
	CLRF        FARG_eep_dbl_write_address+0 
	CLRF        FARG_eep_dbl_write_address+1 
	MOVF        main_longitude+0, 0 
	MOVWF       FARG_eep_dbl_write_value+0 
	MOVF        main_longitude+1, 0 
	MOVWF       FARG_eep_dbl_write_value+1 
	MOVF        main_longitude+2, 0 
	MOVWF       FARG_eep_dbl_write_value+2 
	MOVF        main_longitude+3, 0 
	MOVWF       FARG_eep_dbl_write_value+3 
	CALL        _eep_dbl_write+0, 0
;GpsClock.mbas,618 :: 		eep_dbl_write( EEPADDR_LATITUDE,  latitude  )
	MOVLW       4
	MOVWF       FARG_eep_dbl_write_address+0 
	MOVLW       0
	MOVWF       FARG_eep_dbl_write_address+1 
	MOVF        main_latitude+0, 0 
	MOVWF       FARG_eep_dbl_write_value+0 
	MOVF        main_latitude+1, 0 
	MOVWF       FARG_eep_dbl_write_value+1 
	MOVF        main_latitude+2, 0 
	MOVWF       FARG_eep_dbl_write_value+2 
	MOVF        main_latitude+3, 0 
	MOVWF       FARG_eep_dbl_write_value+3 
	CALL        _eep_dbl_write+0, 0
;GpsClock.mbas,619 :: 		update_counter = 180
	MOVLW       180
	MOVWF       _update_counter+0 
L__main173:
;GpsClock.mbas,621 :: 		sunset_min = calc_sunset( current_year, current_month, current_date, longitude, latitude )
	MOVF        _current_year+0, 0 
	MOVWF       FARG_calc_sunset_year+0 
	MOVF        _current_month+0, 0 
	MOVWF       FARG_calc_sunset_month+0 
	MOVF        _current_date+0, 0 
	MOVWF       FARG_calc_sunset_date+0 
	MOVF        main_longitude+0, 0 
	MOVWF       FARG_calc_sunset_longitude+0 
	MOVF        main_longitude+1, 0 
	MOVWF       FARG_calc_sunset_longitude+1 
	MOVF        main_longitude+2, 0 
	MOVWF       FARG_calc_sunset_longitude+2 
	MOVF        main_longitude+3, 0 
	MOVWF       FARG_calc_sunset_longitude+3 
	MOVF        main_latitude+0, 0 
	MOVWF       FARG_calc_sunset_latitude+0 
	MOVF        main_latitude+1, 0 
	MOVWF       FARG_calc_sunset_latitude+1 
	MOVF        main_latitude+2, 0 
	MOVWF       FARG_calc_sunset_latitude+2 
	MOVF        main_latitude+3, 0 
	MOVWF       FARG_calc_sunset_latitude+3 
	CALL        _calc_sunset+0, 0
	MOVF        R0, 0 
	MOVWF       main_sunset_min+0 
	MOVF        R1, 0 
	MOVWF       main_sunset_min+1 
;GpsClock.mbas,622 :: 		if sunset_min > ( current_hours * 60 + current_minutes ) then
	MOVLW       60
	MULWF       _current_hours+0 
	MOVF        PRODL+0, 0 
	MOVWF       R2 
	MOVF        _current_minutes+0, 0 
	ADDWF       R2, 0 
	MOVWF       R3 
	MOVLW       0
	MOVWF       R2 
	MOVF        R1, 0 
	SUBWF       R2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main311
	MOVF        R0, 0 
	SUBWF       R3, 0 
L__main311:
	BTFSC       STATUS+0, 0 
	GOTO        L__main176
;GpsClock.mbas,623 :: 		remain_min = sunset_min - ( current_hours * 60 + current_minutes )
	MOVF        _current_hours+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVLW       60
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Mul_16x16_U+0, 0
	MOVF        _current_minutes+0, 0 
	ADDWF       R0, 1 
	MOVLW       0
	ADDWFC      R1, 1 
	MOVF        R0, 0 
	SUBWF       main_sunset_min+0, 0 
	MOVWF       main_remain_min+0 
	MOVF        R1, 0 
	SUBWFB      main_sunset_min+1, 0 
	MOVWF       main_remain_min+1 
L__main176:
;GpsClock.mbas,624 :: 		end if
L__main170:
;GpsClock.mbas,626 :: 		if ( 0 < remain_min ) and ( remain_min < (10 * 60)) then
	MOVLW       0
	MOVWF       R1 
	MOVF        main_remain_min+1, 0 
	SUBWF       R1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main312
	MOVF        main_remain_min+0, 0 
	SUBLW       0
L__main312:
	MOVLW       255
	BTFSC       STATUS+0, 0 
	MOVLW       0
	MOVWF       R1 
	MOVLW       2
	SUBWF       main_remain_min+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main313
	MOVLW       88
	SUBWF       main_remain_min+0, 0 
L__main313:
	MOVLW       255
	BTFSC       STATUS+0, 0 
	MOVLW       0
	MOVWF       R0 
	MOVF        R1, 0 
	ANDWF       R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__main179
;GpsClock.mbas,627 :: 		display_time( remain_min / 60, remain_min mod 60, time_colon, true )
	MOVLW       60
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        main_remain_min+0, 0 
	MOVWF       R0 
	MOVF        main_remain_min+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_U+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_display_time_hour+0 
	MOVLW       60
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        main_remain_min+0, 0 
	MOVWF       R0 
	MOVF        main_remain_min+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	MOVWF       FARG_display_time_minutes+0 
	MOVF        main_time_colon+0, 0 
	MOVWF       FARG_display_time_time_colon+0 
	MOVLW       255
	MOVWF       FARG_display_time_remain+0 
	CALL        _display_time+0, 0
	GOTO        L__main180
;GpsClock.mbas,628 :: 		else
L__main179:
;GpsClock.mbas,629 :: 		display_init()
	CALL        _display_init+0, 0
;GpsClock.mbas,630 :: 		end if
L__main180:
;GpsClock.mbas,631 :: 		end if
L__main165:
L__main161:
;GpsClock.mbas,634 :: 		if time_colon then
	MOVF        main_time_colon+0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__main182
;GpsClock.mbas,635 :: 		if tick_counter < 5 then
	MOVLW       5
	SUBWF       _tick_counter+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L__main185
;GpsClock.mbas,636 :: 		time_colon = false
	CLRF        main_time_colon+0 
L__main185:
;GpsClock.mbas,637 :: 		end if
	GOTO        L__main183
;GpsClock.mbas,638 :: 		else
L__main182:
;GpsClock.mbas,639 :: 		time_colon = true
	MOVLW       255
	MOVWF       main_time_colon+0 
;GpsClock.mbas,640 :: 		end if
L__main183:
;GpsClock.mbas,641 :: 		tick_flag = false
	CLRF        _tick_flag+0 
L__main152:
;GpsClock.mbas,647 :: 		if gps_buffer_full then
	MOVF        _gps_buffer_full+0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__main188
;GpsClock.mbas,648 :: 		if (gps_buffer[0] = "$") and
	MOVF        _gps_buffer+0, 0 
	XORLW       36
	MOVLW       255
	BTFSS       STATUS+0, 2 
	MOVLW       0
	MOVWF       R1 
;GpsClock.mbas,649 :: 		(gps_buffer[1] = "G") and
	MOVF        _gps_buffer+1, 0 
	XORLW       71
	MOVLW       255
	BTFSS       STATUS+0, 2 
	MOVLW       0
	MOVWF       R0 
	MOVF        R0, 0 
	ANDWF       R1, 1 
;GpsClock.mbas,650 :: 		(gps_buffer[2] = "P") and
	MOVF        _gps_buffer+2, 0 
	XORLW       80
	MOVLW       255
	BTFSS       STATUS+0, 2 
	MOVLW       0
	MOVWF       R0 
	MOVF        R0, 0 
	ANDWF       R1, 1 
;GpsClock.mbas,651 :: 		(gps_buffer[3] = "R") and
	MOVF        _gps_buffer+3, 0 
	XORLW       82
	MOVLW       255
	BTFSS       STATUS+0, 2 
	MOVLW       0
	MOVWF       R0 
	MOVF        R0, 0 
	ANDWF       R1, 1 
;GpsClock.mbas,652 :: 		(gps_buffer[4] = "M") and
	MOVF        _gps_buffer+4, 0 
	XORLW       77
	MOVLW       255
	BTFSS       STATUS+0, 2 
	MOVLW       0
	MOVWF       R0 
	MOVF        R0, 0 
	ANDWF       R1, 1 
;GpsClock.mbas,653 :: 		(gps_buffer[5] = "C") and
	MOVF        _gps_buffer+5, 0 
	XORLW       67
	MOVLW       255
	BTFSS       STATUS+0, 2 
	MOVLW       0
	MOVWF       R0 
	MOVF        R0, 0 
	ANDWF       R1, 1 
;GpsClock.mbas,654 :: 		(gps_buffer[7] <> ",") then
	MOVF        _gps_buffer+7, 0 
	XORLW       44
	MOVLW       0
	BTFSS       STATUS+0, 2 
	MOVLW       255
	MOVWF       R0 
	MOVF        R1, 0 
	ANDWF       R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__main191
;GpsClock.mbas,656 :: 		gps_hours   = (gps_buffer[7]  - 0x30) * 10 + (gps_buffer[8]  - 0x30) + 9
	MOVLW       48
	SUBWF       _gps_buffer+7, 0 
	MOVWF       main_gps_hours+0 
	MOVLW       10
	MULWF       main_gps_hours+0 
	MOVF        PRODL+0, 0 
	MOVWF       main_gps_hours+0 
	MOVLW       48
	SUBWF       _gps_buffer+8, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	ADDWF       main_gps_hours+0, 1 
	MOVLW       9
	ADDWF       main_gps_hours+0, 1 
;GpsClock.mbas,657 :: 		gps_minutes = (gps_buffer[9]  - 0x30) * 10 + (gps_buffer[10] - 0x30)
	MOVLW       48
	SUBWF       _gps_buffer+9, 0 
	MOVWF       main_gps_minutes+0 
	MOVLW       10
	MULWF       main_gps_minutes+0 
	MOVF        PRODL+0, 0 
	MOVWF       main_gps_minutes+0 
	MOVLW       48
	SUBWF       _gps_buffer+10, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	ADDWF       main_gps_minutes+0, 1 
;GpsClock.mbas,658 :: 		gps_seconds = (gps_buffer[11] - 0x30) * 10 + (gps_buffer[12] - 0x30)
	MOVLW       48
	SUBWF       _gps_buffer+11, 0 
	MOVWF       main_gps_seconds+0 
	MOVLW       10
	MULWF       main_gps_seconds+0 
	MOVF        PRODL+0, 0 
	MOVWF       main_gps_seconds+0 
	MOVLW       48
	SUBWF       _gps_buffer+12, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	ADDWF       main_gps_seconds+0, 1 
;GpsClock.mbas,660 :: 		token_index = 0
	CLRF        main_token_index+0 
;GpsClock.mbas,661 :: 		for buffer_index = 0 to 64
	CLRF        main_buffer_index+0 
L__main194:
;GpsClock.mbas,662 :: 		if gps_buffer[buffer_index] = "," then
	MOVLW       _gps_buffer+0
	MOVWF       FSR0 
	MOVLW       hi_addr(_gps_buffer+0)
	MOVWF       FSR0H 
	MOVF        main_buffer_index+0, 0 
	ADDWF       FSR0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	MOVF        POSTINC0+0, 0 
	XORLW       44
	BTFSS       STATUS+0, 2 
	GOTO        L__main199
;GpsClock.mbas,663 :: 		token_index = token_index + 1
	INCF        main_token_index+0, 1 
;GpsClock.mbas,664 :: 		if token_index = 9 then
	MOVF        main_token_index+0, 0 
	XORLW       9
	BTFSS       STATUS+0, 2 
	GOTO        L__main202
;GpsClock.mbas,665 :: 		break
	GOTO        L__main197
L__main202:
;GpsClock.mbas,666 :: 		end if
L__main199:
;GpsClock.mbas,668 :: 		next buffer_index
	MOVF        main_buffer_index+0, 0 
	XORLW       64
	BTFSC       STATUS+0, 2 
	GOTO        L__main197
	INCF        main_buffer_index+0, 1 
	GOTO        L__main194
L__main197:
;GpsClock.mbas,669 :: 		if gps_buffer[buffer_index+1] <> "," then
	MOVF        main_buffer_index+0, 0 
	ADDLW       1
	MOVWF       R0 
	MOVLW       _gps_buffer+0
	MOVWF       FSR0 
	MOVLW       hi_addr(_gps_buffer+0)
	MOVWF       FSR0H 
	MOVF        R0, 0 
	ADDWF       FSR0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	MOVF        POSTINC0+0, 0 
	XORLW       44
	BTFSC       STATUS+0, 2 
	GOTO        L__main205
;GpsClock.mbas,670 :: 		gps_date  = (gps_buffer[buffer_index+1] - 0x30) * 10 + (gps_buffer[buffer_index+2] - 0x30)
	MOVF        main_buffer_index+0, 0 
	ADDLW       1
	MOVWF       R0 
	MOVLW       _gps_buffer+0
	MOVWF       FSR0 
	MOVLW       hi_addr(_gps_buffer+0)
	MOVWF       FSR0H 
	MOVF        R0, 0 
	ADDWF       FSR0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	MOVLW       48
	SUBWF       POSTINC0+0, 0 
	MOVWF       main_gps_date+0 
	MOVLW       10
	MULWF       main_gps_date+0 
	MOVF        PRODL+0, 0 
	MOVWF       main_gps_date+0 
	MOVLW       2
	ADDWF       main_buffer_index+0, 0 
	MOVWF       R0 
	MOVLW       _gps_buffer+0
	MOVWF       FSR0 
	MOVLW       hi_addr(_gps_buffer+0)
	MOVWF       FSR0H 
	MOVF        R0, 0 
	ADDWF       FSR0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	MOVLW       48
	SUBWF       POSTINC0+0, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	ADDWF       main_gps_date+0, 1 
;GpsClock.mbas,671 :: 		gps_month = (gps_buffer[buffer_index+3] - 0x30) * 10 + (gps_buffer[buffer_index+4] - 0x30)
	MOVLW       3
	ADDWF       main_buffer_index+0, 0 
	MOVWF       R0 
	MOVLW       _gps_buffer+0
	MOVWF       FSR0 
	MOVLW       hi_addr(_gps_buffer+0)
	MOVWF       FSR0H 
	MOVF        R0, 0 
	ADDWF       FSR0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	MOVLW       48
	SUBWF       POSTINC0+0, 0 
	MOVWF       main_gps_month+0 
	MOVLW       10
	MULWF       main_gps_month+0 
	MOVF        PRODL+0, 0 
	MOVWF       main_gps_month+0 
	MOVLW       4
	ADDWF       main_buffer_index+0, 0 
	MOVWF       R0 
	MOVLW       _gps_buffer+0
	MOVWF       FSR0 
	MOVLW       hi_addr(_gps_buffer+0)
	MOVWF       FSR0H 
	MOVF        R0, 0 
	ADDWF       FSR0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	MOVLW       48
	SUBWF       POSTINC0+0, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	ADDWF       main_gps_month+0, 1 
;GpsClock.mbas,672 :: 		gps_year  = (gps_buffer[buffer_index+5] - 0x30) * 10 + (gps_buffer[buffer_index+6] - 0x30)
	MOVLW       5
	ADDWF       main_buffer_index+0, 0 
	MOVWF       R0 
	MOVLW       _gps_buffer+0
	MOVWF       FSR0 
	MOVLW       hi_addr(_gps_buffer+0)
	MOVWF       FSR0H 
	MOVF        R0, 0 
	ADDWF       FSR0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	MOVLW       48
	SUBWF       POSTINC0+0, 0 
	MOVWF       main_gps_year+0 
	MOVLW       10
	MULWF       main_gps_year+0 
	MOVF        PRODL+0, 0 
	MOVWF       main_gps_year+0 
	MOVLW       6
	ADDWF       main_buffer_index+0, 0 
	MOVWF       R0 
	MOVLW       _gps_buffer+0
	MOVWF       FSR0 
	MOVLW       hi_addr(_gps_buffer+0)
	MOVWF       FSR0H 
	MOVF        R0, 0 
	ADDWF       FSR0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	MOVLW       48
	SUBWF       POSTINC0+0, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	ADDWF       main_gps_year+0, 1 
;GpsClock.mbas,673 :: 		if gps_hours >= 24 then  '--- UTC -> UTC+9(JP time)
	MOVLW       24
	SUBWF       main_gps_hours+0, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L__main208
;GpsClock.mbas,674 :: 		gps_hours = gps_hours - 24
	MOVLW       24
	SUBWF       main_gps_hours+0, 1 
;GpsClock.mbas,676 :: 		case 1  end_of_date = 31
	MOVF        main_gps_month+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__main213
	MOVLW       31
	MOVWF       main_end_of_date+0 
	GOTO        L__main210
L__main213:
;GpsClock.mbas,677 :: 		case 2  if is_leapyear( gps_year ) then
	MOVF        main_gps_month+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L__main216
	MOVF        main_gps_year+0, 0 
	MOVWF       FARG_is_leapyear_year+0 
	CALL        _is_leapyear+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__main218
;GpsClock.mbas,678 :: 		end_of_date = 29
	MOVLW       29
	MOVWF       main_end_of_date+0 
	GOTO        L__main219
;GpsClock.mbas,679 :: 		else
L__main218:
;GpsClock.mbas,680 :: 		end_of_date = 28
	MOVLW       28
	MOVWF       main_end_of_date+0 
;GpsClock.mbas,681 :: 		end if
L__main219:
	GOTO        L__main210
L__main216:
;GpsClock.mbas,682 :: 		case 3  end_of_date = 31
	MOVF        main_gps_month+0, 0 
	XORLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L__main222
	MOVLW       31
	MOVWF       main_end_of_date+0 
	GOTO        L__main210
L__main222:
;GpsClock.mbas,683 :: 		case 4  end_of_date = 30
	MOVF        main_gps_month+0, 0 
	XORLW       4
	BTFSS       STATUS+0, 2 
	GOTO        L__main225
	MOVLW       30
	MOVWF       main_end_of_date+0 
	GOTO        L__main210
L__main225:
;GpsClock.mbas,684 :: 		case 5  end_of_date = 31
	MOVF        main_gps_month+0, 0 
	XORLW       5
	BTFSS       STATUS+0, 2 
	GOTO        L__main228
	MOVLW       31
	MOVWF       main_end_of_date+0 
	GOTO        L__main210
L__main228:
;GpsClock.mbas,685 :: 		case 6  end_of_date = 30
	MOVF        main_gps_month+0, 0 
	XORLW       6
	BTFSS       STATUS+0, 2 
	GOTO        L__main231
	MOVLW       30
	MOVWF       main_end_of_date+0 
	GOTO        L__main210
L__main231:
;GpsClock.mbas,686 :: 		case 7  end_of_date = 31
	MOVF        main_gps_month+0, 0 
	XORLW       7
	BTFSS       STATUS+0, 2 
	GOTO        L__main234
	MOVLW       31
	MOVWF       main_end_of_date+0 
	GOTO        L__main210
L__main234:
;GpsClock.mbas,687 :: 		case 8  end_of_date = 31
	MOVF        main_gps_month+0, 0 
	XORLW       8
	BTFSS       STATUS+0, 2 
	GOTO        L__main237
	MOVLW       31
	MOVWF       main_end_of_date+0 
	GOTO        L__main210
L__main237:
;GpsClock.mbas,688 :: 		case 9  end_of_date = 30
	MOVF        main_gps_month+0, 0 
	XORLW       9
	BTFSS       STATUS+0, 2 
	GOTO        L__main240
	MOVLW       30
	MOVWF       main_end_of_date+0 
	GOTO        L__main210
L__main240:
;GpsClock.mbas,689 :: 		case 10 end_of_date = 31
	MOVF        main_gps_month+0, 0 
	XORLW       10
	BTFSS       STATUS+0, 2 
	GOTO        L__main243
	MOVLW       31
	MOVWF       main_end_of_date+0 
	GOTO        L__main210
L__main243:
;GpsClock.mbas,690 :: 		case 11 end_of_date = 30
	MOVF        main_gps_month+0, 0 
	XORLW       11
	BTFSS       STATUS+0, 2 
	GOTO        L__main246
	MOVLW       30
	MOVWF       main_end_of_date+0 
	GOTO        L__main210
L__main246:
;GpsClock.mbas,691 :: 		case 12 end_of_date = 31
	MOVF        main_gps_month+0, 0 
	XORLW       12
	BTFSS       STATUS+0, 2 
	GOTO        L__main249
	MOVLW       31
	MOVWF       main_end_of_date+0 
	GOTO        L__main210
L__main249:
L__main210:
;GpsClock.mbas,693 :: 		if gps_hours = end_of_date then
	MOVF        main_gps_hours+0, 0 
	XORWF       main_end_of_date+0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main251
;GpsClock.mbas,694 :: 		gps_date = 1
	MOVLW       1
	MOVWF       main_gps_date+0 
;GpsClock.mbas,695 :: 		if gps_month = 12 then
	MOVF        main_gps_month+0, 0 
	XORLW       12
	BTFSS       STATUS+0, 2 
	GOTO        L__main254
;GpsClock.mbas,696 :: 		gps_month = 1
	MOVLW       1
	MOVWF       main_gps_month+0 
;GpsClock.mbas,697 :: 		gps_year = gps_year + 1
	INCF        main_gps_year+0, 1 
	GOTO        L__main255
;GpsClock.mbas,698 :: 		else
L__main254:
;GpsClock.mbas,699 :: 		gps_month = gps_month + 1
	INCF        main_gps_month+0, 1 
;GpsClock.mbas,700 :: 		end if
L__main255:
	GOTO        L__main252
;GpsClock.mbas,701 :: 		else
L__main251:
;GpsClock.mbas,702 :: 		gps_date = gps_date + 1
	INCF        main_gps_date+0, 1 
;GpsClock.mbas,703 :: 		end if
L__main252:
L__main208:
;GpsClock.mbas,705 :: 		current_year    = gps_year
	MOVF        main_gps_year+0, 0 
	MOVWF       _current_year+0 
;GpsClock.mbas,706 :: 		current_month   = gps_month
	MOVF        main_gps_month+0, 0 
	MOVWF       _current_month+0 
;GpsClock.mbas,707 :: 		current_date    = gps_date
	MOVF        main_gps_date+0, 0 
	MOVWF       _current_date+0 
;GpsClock.mbas,708 :: 		current_hours   = gps_hours
	MOVF        main_gps_hours+0, 0 
	MOVWF       _current_hours+0 
;GpsClock.mbas,709 :: 		current_minutes = gps_minutes
	MOVF        main_gps_minutes+0, 0 
	MOVWF       _current_minutes+0 
;GpsClock.mbas,710 :: 		current_seconds = gps_seconds
	MOVF        main_gps_seconds+0, 0 
	MOVWF       _current_seconds+0 
L__main205:
;GpsClock.mbas,713 :: 		token_index = 0
	CLRF        main_token_index+0 
;GpsClock.mbas,714 :: 		for buffer_index = 0 to 64
	CLRF        main_buffer_index+0 
L__main257:
;GpsClock.mbas,715 :: 		if gps_buffer[buffer_index] = "," then
	MOVLW       _gps_buffer+0
	MOVWF       FSR0 
	MOVLW       hi_addr(_gps_buffer+0)
	MOVWF       FSR0H 
	MOVF        main_buffer_index+0, 0 
	ADDWF       FSR0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	MOVF        POSTINC0+0, 0 
	XORLW       44
	BTFSS       STATUS+0, 2 
	GOTO        L__main262
;GpsClock.mbas,716 :: 		token_index = token_index + 1
	INCF        main_token_index+0, 1 
;GpsClock.mbas,717 :: 		if token_index = 3 then
	MOVF        main_token_index+0, 0 
	XORLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L__main265
;GpsClock.mbas,718 :: 		break
	GOTO        L__main260
L__main265:
;GpsClock.mbas,719 :: 		end if
L__main262:
;GpsClock.mbas,721 :: 		next buffer_index
	MOVF        main_buffer_index+0, 0 
	XORLW       64
	BTFSC       STATUS+0, 2 
	GOTO        L__main260
	INCF        main_buffer_index+0, 1 
	GOTO        L__main257
L__main260:
;GpsClock.mbas,722 :: 		if gps_buffer[buffer_index+1] <> "," then
	MOVF        main_buffer_index+0, 0 
	ADDLW       1
	MOVWF       R0 
	MOVLW       _gps_buffer+0
	MOVWF       FSR0 
	MOVLW       hi_addr(_gps_buffer+0)
	MOVWF       FSR0H 
	MOVF        R0, 0 
	ADDWF       FSR0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	MOVF        POSTINC0+0, 0 
	XORLW       44
	BTFSC       STATUS+0, 2 
	GOTO        L__main268
;GpsClock.mbas,723 :: 		latitude = 0.0
	CLRF        main_latitude+0 
	CLRF        main_latitude+1 
	CLRF        main_latitude+2 
	CLRF        main_latitude+3 
;GpsClock.mbas,724 :: 		latitude = latitude + ( gps_buffer[buffer_index+1] - 0x30) * 10
	MOVF        main_buffer_index+0, 0 
	ADDLW       1
	MOVWF       R0 
	MOVLW       _gps_buffer+0
	MOVWF       FSR0 
	MOVLW       hi_addr(_gps_buffer+0)
	MOVWF       FSR0H 
	MOVF        R0, 0 
	ADDWF       FSR0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	MOVLW       48
	SUBWF       POSTINC0+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVLW       0
	SUBFWB      R1, 1 
	MOVLW       0
	MOVWF       R2 
	MOVWF       R3 
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVWF       R6 
	MOVWF       R7 
	CALL        _Mul_32x32_U+0, 0
	CALL        _Longword2Double+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__main+0 
	MOVF        R1, 0 
	MOVWF       FLOC__main+1 
	MOVF        R2, 0 
	MOVWF       FLOC__main+2 
	MOVF        R3, 0 
	MOVWF       FLOC__main+3 
	MOVF        FLOC__main+0, 0 
	MOVWF       main_latitude+0 
	MOVF        FLOC__main+1, 0 
	MOVWF       main_latitude+1 
	MOVF        FLOC__main+2, 0 
	MOVWF       main_latitude+2 
	MOVF        FLOC__main+3, 0 
	MOVWF       main_latitude+3 
;GpsClock.mbas,725 :: 		latitude = latitude + ( gps_buffer[buffer_index+2] - 0x30)
	MOVLW       2
	ADDWF       main_buffer_index+0, 0 
	MOVWF       R0 
	MOVLW       _gps_buffer+0
	MOVWF       FSR0 
	MOVLW       hi_addr(_gps_buffer+0)
	MOVWF       FSR0H 
	MOVF        R0, 0 
	ADDWF       FSR0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	MOVLW       48
	SUBWF       POSTINC0+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVLW       0
	SUBFWB      R1, 1 
	CALL        _Word2Double+0, 0
	MOVF        FLOC__main+0, 0 
	MOVWF       R4 
	MOVF        FLOC__main+1, 0 
	MOVWF       R5 
	MOVF        FLOC__main+2, 0 
	MOVWF       R6 
	MOVF        FLOC__main+3, 0 
	MOVWF       R7 
	CALL        _Add_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__main+0 
	MOVF        R1, 0 
	MOVWF       FLOC__main+1 
	MOVF        R2, 0 
	MOVWF       FLOC__main+2 
	MOVF        R3, 0 
	MOVWF       FLOC__main+3 
	MOVF        FLOC__main+0, 0 
	MOVWF       main_latitude+0 
	MOVF        FLOC__main+1, 0 
	MOVWF       main_latitude+1 
	MOVF        FLOC__main+2, 0 
	MOVWF       main_latitude+2 
	MOVF        FLOC__main+3, 0 
	MOVWF       main_latitude+3 
;GpsClock.mbas,726 :: 		latitude = latitude + ((gps_buffer[buffer_index+3] - 0x30) * 10 / 60)
	MOVLW       3
	ADDWF       main_buffer_index+0, 0 
	MOVWF       R0 
	MOVLW       _gps_buffer+0
	MOVWF       FSR0 
	MOVLW       hi_addr(_gps_buffer+0)
	MOVWF       FSR0H 
	MOVF        R0, 0 
	ADDWF       FSR0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	MOVLW       48
	SUBWF       POSTINC0+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVLW       0
	SUBFWB      R1, 1 
	MOVLW       0
	MOVWF       R2 
	MOVWF       R3 
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVWF       R6 
	MOVWF       R7 
	CALL        _Mul_32x32_U+0, 0
	CALL        _Longword2Double+0, 0
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       112
	MOVWF       R6 
	MOVLW       132
	MOVWF       R7 
	CALL        _Div_32x32_FP+0, 0
	MOVF        FLOC__main+0, 0 
	MOVWF       R4 
	MOVF        FLOC__main+1, 0 
	MOVWF       R5 
	MOVF        FLOC__main+2, 0 
	MOVWF       R6 
	MOVF        FLOC__main+3, 0 
	MOVWF       R7 
	CALL        _Add_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__main+0 
	MOVF        R1, 0 
	MOVWF       FLOC__main+1 
	MOVF        R2, 0 
	MOVWF       FLOC__main+2 
	MOVF        R3, 0 
	MOVWF       FLOC__main+3 
	MOVF        FLOC__main+0, 0 
	MOVWF       main_latitude+0 
	MOVF        FLOC__main+1, 0 
	MOVWF       main_latitude+1 
	MOVF        FLOC__main+2, 0 
	MOVWF       main_latitude+2 
	MOVF        FLOC__main+3, 0 
	MOVWF       main_latitude+3 
;GpsClock.mbas,727 :: 		latitude = latitude + ((gps_buffer[buffer_index+4] - 0x30)      / 60)
	MOVLW       4
	ADDWF       main_buffer_index+0, 0 
	MOVWF       R0 
	MOVLW       _gps_buffer+0
	MOVWF       FSR0 
	MOVLW       hi_addr(_gps_buffer+0)
	MOVWF       FSR0H 
	MOVF        R0, 0 
	ADDWF       FSR0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	MOVLW       48
	SUBWF       POSTINC0+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVLW       0
	SUBFWB      R1, 1 
	MOVLW       60
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_U+0, 0
	CALL        _Word2Double+0, 0
	MOVF        FLOC__main+0, 0 
	MOVWF       R4 
	MOVF        FLOC__main+1, 0 
	MOVWF       R5 
	MOVF        FLOC__main+2, 0 
	MOVWF       R6 
	MOVF        FLOC__main+3, 0 
	MOVWF       R7 
	CALL        _Add_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       main_latitude+0 
	MOVF        R1, 0 
	MOVWF       main_latitude+1 
	MOVF        R2, 0 
	MOVWF       main_latitude+2 
	MOVF        R3, 0 
	MOVWF       main_latitude+3 
L__main268:
;GpsClock.mbas,730 :: 		token_index = 0
	CLRF        main_token_index+0 
;GpsClock.mbas,731 :: 		for buffer_index = 0 to 64
	CLRF        main_buffer_index+0 
L__main271:
;GpsClock.mbas,732 :: 		if gps_buffer[buffer_index] = "," then
	MOVLW       _gps_buffer+0
	MOVWF       FSR0 
	MOVLW       hi_addr(_gps_buffer+0)
	MOVWF       FSR0H 
	MOVF        main_buffer_index+0, 0 
	ADDWF       FSR0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	MOVF        POSTINC0+0, 0 
	XORLW       44
	BTFSS       STATUS+0, 2 
	GOTO        L__main276
;GpsClock.mbas,733 :: 		token_index = token_index + 1
	INCF        main_token_index+0, 1 
;GpsClock.mbas,734 :: 		if token_index = 5 then
	MOVF        main_token_index+0, 0 
	XORLW       5
	BTFSS       STATUS+0, 2 
	GOTO        L__main279
;GpsClock.mbas,735 :: 		break
	GOTO        L__main274
L__main279:
;GpsClock.mbas,736 :: 		end if
L__main276:
;GpsClock.mbas,738 :: 		next buffer_index
	MOVF        main_buffer_index+0, 0 
	XORLW       64
	BTFSC       STATUS+0, 2 
	GOTO        L__main274
	INCF        main_buffer_index+0, 1 
	GOTO        L__main271
L__main274:
;GpsClock.mbas,739 :: 		if gps_buffer[buffer_index+1] <> "," then
	MOVF        main_buffer_index+0, 0 
	ADDLW       1
	MOVWF       R0 
	MOVLW       _gps_buffer+0
	MOVWF       FSR0 
	MOVLW       hi_addr(_gps_buffer+0)
	MOVWF       FSR0H 
	MOVF        R0, 0 
	ADDWF       FSR0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	MOVF        POSTINC0+0, 0 
	XORLW       44
	BTFSC       STATUS+0, 2 
	GOTO        L__main282
;GpsClock.mbas,740 :: 		longitude = 0.0
	CLRF        main_longitude+0 
	CLRF        main_longitude+1 
	CLRF        main_longitude+2 
	CLRF        main_longitude+3 
;GpsClock.mbas,741 :: 		longitude = longitude + ( gps_buffer[buffer_index+1] - 0x30) * 100
	MOVF        main_buffer_index+0, 0 
	ADDLW       1
	MOVWF       R0 
	MOVLW       _gps_buffer+0
	MOVWF       FSR0 
	MOVLW       hi_addr(_gps_buffer+0)
	MOVWF       FSR0H 
	MOVF        R0, 0 
	ADDWF       FSR0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	MOVLW       48
	SUBWF       POSTINC0+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVLW       0
	SUBFWB      R1, 1 
	MOVLW       0
	MOVWF       R2 
	MOVWF       R3 
	MOVLW       100
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVWF       R6 
	MOVWF       R7 
	CALL        _Mul_32x32_U+0, 0
	CALL        _Longword2Double+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__main+0 
	MOVF        R1, 0 
	MOVWF       FLOC__main+1 
	MOVF        R2, 0 
	MOVWF       FLOC__main+2 
	MOVF        R3, 0 
	MOVWF       FLOC__main+3 
	MOVF        FLOC__main+0, 0 
	MOVWF       main_longitude+0 
	MOVF        FLOC__main+1, 0 
	MOVWF       main_longitude+1 
	MOVF        FLOC__main+2, 0 
	MOVWF       main_longitude+2 
	MOVF        FLOC__main+3, 0 
	MOVWF       main_longitude+3 
;GpsClock.mbas,742 :: 		longitude = longitude + ( gps_buffer[buffer_index+2] - 0x30) * 10
	MOVLW       2
	ADDWF       main_buffer_index+0, 0 
	MOVWF       R0 
	MOVLW       _gps_buffer+0
	MOVWF       FSR0 
	MOVLW       hi_addr(_gps_buffer+0)
	MOVWF       FSR0H 
	MOVF        R0, 0 
	ADDWF       FSR0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	MOVLW       48
	SUBWF       POSTINC0+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVLW       0
	SUBFWB      R1, 1 
	MOVLW       0
	MOVWF       R2 
	MOVWF       R3 
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVWF       R6 
	MOVWF       R7 
	CALL        _Mul_32x32_U+0, 0
	CALL        _Longword2Double+0, 0
	MOVF        FLOC__main+0, 0 
	MOVWF       R4 
	MOVF        FLOC__main+1, 0 
	MOVWF       R5 
	MOVF        FLOC__main+2, 0 
	MOVWF       R6 
	MOVF        FLOC__main+3, 0 
	MOVWF       R7 
	CALL        _Add_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__main+0 
	MOVF        R1, 0 
	MOVWF       FLOC__main+1 
	MOVF        R2, 0 
	MOVWF       FLOC__main+2 
	MOVF        R3, 0 
	MOVWF       FLOC__main+3 
	MOVF        FLOC__main+0, 0 
	MOVWF       main_longitude+0 
	MOVF        FLOC__main+1, 0 
	MOVWF       main_longitude+1 
	MOVF        FLOC__main+2, 0 
	MOVWF       main_longitude+2 
	MOVF        FLOC__main+3, 0 
	MOVWF       main_longitude+3 
;GpsClock.mbas,743 :: 		longitude = longitude + ( gps_buffer[buffer_index+3] - 0x30)
	MOVLW       3
	ADDWF       main_buffer_index+0, 0 
	MOVWF       R0 
	MOVLW       _gps_buffer+0
	MOVWF       FSR0 
	MOVLW       hi_addr(_gps_buffer+0)
	MOVWF       FSR0H 
	MOVF        R0, 0 
	ADDWF       FSR0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	MOVLW       48
	SUBWF       POSTINC0+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVLW       0
	SUBFWB      R1, 1 
	CALL        _Word2Double+0, 0
	MOVF        FLOC__main+0, 0 
	MOVWF       R4 
	MOVF        FLOC__main+1, 0 
	MOVWF       R5 
	MOVF        FLOC__main+2, 0 
	MOVWF       R6 
	MOVF        FLOC__main+3, 0 
	MOVWF       R7 
	CALL        _Add_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__main+0 
	MOVF        R1, 0 
	MOVWF       FLOC__main+1 
	MOVF        R2, 0 
	MOVWF       FLOC__main+2 
	MOVF        R3, 0 
	MOVWF       FLOC__main+3 
	MOVF        FLOC__main+0, 0 
	MOVWF       main_longitude+0 
	MOVF        FLOC__main+1, 0 
	MOVWF       main_longitude+1 
	MOVF        FLOC__main+2, 0 
	MOVWF       main_longitude+2 
	MOVF        FLOC__main+3, 0 
	MOVWF       main_longitude+3 
;GpsClock.mbas,744 :: 		longitude = longitude + ((gps_buffer[buffer_index+4] - 0x30) * 10 / 60)
	MOVLW       4
	ADDWF       main_buffer_index+0, 0 
	MOVWF       R0 
	MOVLW       _gps_buffer+0
	MOVWF       FSR0 
	MOVLW       hi_addr(_gps_buffer+0)
	MOVWF       FSR0H 
	MOVF        R0, 0 
	ADDWF       FSR0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	MOVLW       48
	SUBWF       POSTINC0+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVLW       0
	SUBFWB      R1, 1 
	MOVLW       0
	MOVWF       R2 
	MOVWF       R3 
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVWF       R6 
	MOVWF       R7 
	CALL        _Mul_32x32_U+0, 0
	CALL        _Longword2Double+0, 0
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       112
	MOVWF       R6 
	MOVLW       132
	MOVWF       R7 
	CALL        _Div_32x32_FP+0, 0
	MOVF        FLOC__main+0, 0 
	MOVWF       R4 
	MOVF        FLOC__main+1, 0 
	MOVWF       R5 
	MOVF        FLOC__main+2, 0 
	MOVWF       R6 
	MOVF        FLOC__main+3, 0 
	MOVWF       R7 
	CALL        _Add_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__main+0 
	MOVF        R1, 0 
	MOVWF       FLOC__main+1 
	MOVF        R2, 0 
	MOVWF       FLOC__main+2 
	MOVF        R3, 0 
	MOVWF       FLOC__main+3 
	MOVF        FLOC__main+0, 0 
	MOVWF       main_longitude+0 
	MOVF        FLOC__main+1, 0 
	MOVWF       main_longitude+1 
	MOVF        FLOC__main+2, 0 
	MOVWF       main_longitude+2 
	MOVF        FLOC__main+3, 0 
	MOVWF       main_longitude+3 
;GpsClock.mbas,745 :: 		longitude = longitude + ((gps_buffer[buffer_index+5] - 0x30)      / 60)
	MOVLW       5
	ADDWF       main_buffer_index+0, 0 
	MOVWF       R0 
	MOVLW       _gps_buffer+0
	MOVWF       FSR0 
	MOVLW       hi_addr(_gps_buffer+0)
	MOVWF       FSR0H 
	MOVF        R0, 0 
	ADDWF       FSR0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	MOVLW       48
	SUBWF       POSTINC0+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVLW       0
	SUBFWB      R1, 1 
	MOVLW       60
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_U+0, 0
	CALL        _Word2Double+0, 0
	MOVF        FLOC__main+0, 0 
	MOVWF       R4 
	MOVF        FLOC__main+1, 0 
	MOVWF       R5 
	MOVF        FLOC__main+2, 0 
	MOVWF       R6 
	MOVF        FLOC__main+3, 0 
	MOVWF       R7 
	CALL        _Add_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       main_longitude+0 
	MOVF        R1, 0 
	MOVWF       main_longitude+1 
	MOVF        R2, 0 
	MOVWF       main_longitude+2 
	MOVF        R3, 0 
	MOVWF       main_longitude+3 
;GpsClock.mbas,746 :: 		tick_counter = 0
	CLRF        _tick_counter+0 
;GpsClock.mbas,747 :: 		gps_recieved = true
	MOVLW       255
	MOVWF       main_gps_recieved+0 
L__main282:
;GpsClock.mbas,750 :: 		if gps_recieved then
	MOVF        main_gps_recieved+0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__main285
;GpsClock.mbas,751 :: 		LED_PORT = 1
	BSF         LATA5_bit+0, BitPos(LATA5_bit+0) 
;GpsClock.mbas,752 :: 		ds1307_settime( current_year, current_month, current_date, current_hours, current_minutes, current_seconds )
	MOVF        _current_year+0, 0 
	MOVWF       FARG_ds1307_settime_year+0 
	MOVF        _current_month+0, 0 
	MOVWF       FARG_ds1307_settime_month+0 
	MOVF        _current_date+0, 0 
	MOVWF       FARG_ds1307_settime_date+0 
	MOVF        _current_hours+0, 0 
	MOVWF       FARG_ds1307_settime_hour+0 
	MOVF        _current_minutes+0, 0 
	MOVWF       FARG_ds1307_settime_minutes+0 
	MOVF        _current_seconds+0, 0 
	MOVWF       FARG_ds1307_settime_seconds+0 
	CALL        _ds1307_settime+0, 0
;GpsClock.mbas,753 :: 		LED_PORT = 0
	BCF         LATA5_bit+0, BitPos(LATA5_bit+0) 
L__main285:
;GpsClock.mbas,754 :: 		end if
L__main191:
;GpsClock.mbas,756 :: 		gps_buffer[0] = " "
	MOVLW       32
	MOVWF       _gps_buffer+0 
;GpsClock.mbas,757 :: 		gps_buffer_full = false
	CLRF        _gps_buffer_full+0 
L__main188:
;GpsClock.mbas,759 :: 		wend
	GOTO        L__main147
L_end_main:
	GOTO        $+0
; end of _main
